## osmocom-coverity.zip

=== coverity/source-Osmocom/libasn1c/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libasn1c
pkgincludedir = $(includedir)/libasn1c
pkglibdir = $(libdir)/libasn1c
pkglibexecdir = $(libexecdir)/libasn1c
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = libasn1c.pc
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
DATA = $(pkgconfig_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/libasn1c.pc.in \
	COPYING README.md compile config.guess config.sub install-sh \
	ltmain.sh missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
DIST_TARGETS = dist-bzip2 dist-gzip
# Exists only to be overridden by the user if desired.
AM_DISTCHECK_DVI_TARGET = dvi
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} '/build/coverity/source-Osmocom/libasn1c/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/build/coverity/source-Osmocom/libasn1c/missing' autoconf
AUTOHEADER = ${SHELL} '/build/coverity/source-Osmocom/libasn1c/missing' autoheader
AUTOMAKE = ${SHELL} '/build/coverity/source-Osmocom/libasn1c/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"libasn1c\" -DPACKAGE_TARNAME=\"libasn1c\" -DPACKAGE_VERSION=\"0.9.38\" -DPACKAGE_STRING=\"libasn1c\ 0.9.38\" -DPACKAGE_BUGREPORT=\"openbsc-devel@lists.openbsc.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"libasn1c\" -DVERSION=\"0.9.38\" -DHAVE_STDIO_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_STRINGS_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_UNISTD_H=1 -DSTDC_HEADERS=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTALLOC_CFLAGS = 
LIBTALLOC_LIBS = -ltalloc 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/build/coverity/source-Osmocom/libasn1c/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libasn1c
PACKAGE_BUGREPORT = openbsc-devel@lists.openbsc.org
PACKAGE_NAME = libasn1c
PACKAGE_STRING = libasn1c 0.9.38
PACKAGE_TARNAME = libasn1c
PACKAGE_URL = 
PACKAGE_VERSION = 0.9.38
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /build/coverity/install-Osmocom/lib/pkgconfig
RANLIB = ranlib
RELMAKE = -include osmo-release.mk
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SYMBOL_VISIBILITY = -fvisibility=hidden
VERSION = 0.9.38
abs_builddir = /build/coverity/source-Osmocom/libasn1c
abs_srcdir = /build/coverity/source-Osmocom/libasn1c
abs_top_builddir = /build/coverity/source-Osmocom/libasn1c
abs_top_srcdir = /build/coverity/source-Osmocom/libasn1c
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /build/coverity/source-Osmocom/libasn1c/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}

=== coverity/source-Osmocom/libgtpnl/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libgtpnl
pkgincludedir = $(includedir)/libgtpnl
pkglibdir = $(libdir)/libgtpnl
pkglibexecdir = $(libexecdir)/libgtpnl
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gcc4_visibility.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = libgtpnl.pc
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
DATA = $(pkgconfig_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
	config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/libgtpnl.pc.in $(top_srcdir)/Make_global.am \
	$(top_srcdir)/build-aux/compile \
	$(top_srcdir)/build-aux/config.guess \
	$(top_srcdir)/build-aux/config.sub \
	$(top_srcdir)/build-aux/install-sh \
	$(top_srcdir)/build-aux/ltmain.sh \
	$(top_srcdir)/build-aux/missing AUTHORS COPYING README.md \
	build-aux/compile build-aux/config.guess build-aux/config.sub \
	build-aux/install-sh build-aux/ltmain.sh build-aux/missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
GZIP_ENV = --best
DIST_ARCHIVES = $(distdir).tar.bz2
DIST_TARGETS = dist-bzip2
# Exists only to be overridden by the user if desired.
AM_DISTCHECK_DVI_TARGET = dvi
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} '/build/coverity/source-Osmocom/libgtpnl/build-aux/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/build/coverity/source-Osmocom/libgtpnl/build-aux/missing' autoconf
AUTOHEADER = ${SHELL} '/build/coverity/source-Osmocom/libgtpnl/build-aux/missing' autoheader
AUTOMAKE = ${SHELL} '/build/coverity/source-Osmocom/libgtpnl/build-aux/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -std=gnu11
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GCC_FVISIBILITY_HIDDEN = -fvisibility=hidden
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBMNL_CFLAGS = 
LIBMNL_LIBS = -lmnl 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/build/coverity/source-Osmocom/libgtpnl/build-aux/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libgtpnl
PACKAGE_BUGREPORT = osmocom-net-gprs@lists.osmocom.org
PACKAGE_NAME = libgtpnl
PACKAGE_STRING = libgtpnl 1.3.3
PACKAGE_TARNAME = libgtpnl
PACKAGE_URL = 
PACKAGE_VERSION = 1.3.3
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /build/coverity/install-Osmocom/lib/pkgconfig
RANLIB = ranlib
RELMAKE = -include osmo-release.mk
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 1.3.3
abs_builddir = /build/coverity/source-Osmocom/libgtpnl
abs_srcdir = /build/coverity/source-Osmocom/libgtpnl
abs_top_builddir = /build/coverity/source-Osmocom/libgtpnl
abs_top_srcdir = /build/coverity/source-Osmocom/libgtpnl
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /build/coverity/source-Osmocom/libgtpnl/build-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}

=== coverity/source-Osmocom/libosmo-abis/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libosmo-abis
pkgincludedir = $(includedir)/libosmo-abis
pkglibdir = $(libdir)/libosmo-abis
pkglibexecdir = $(libexecdir)/libosmo-abis
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = libosmoabis.pc libosmotrau.pc
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
DATA = $(pkgconfig_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
	config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/libosmoabis.pc.in $(srcdir)/libosmotrau.pc.in \
	AUTHORS COPYING README.md compile config.guess config.sub \
	install-sh ltmain.sh missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
GZIP_ENV = --best
DIST_ARCHIVES = $(distdir).tar.bz2
DIST_TARGETS = dist-bzip2
# Exists only to be overridden by the user if desired.
AM_DISTCHECK_DVI_TARGET = dvi
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} '/build/coverity/source-Osmocom/libosmo-abis/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/build/coverity/source-Osmocom/libosmo-abis/missing' autoconf
AUTOHEADER = ${SHELL} '/build/coverity/source-Osmocom/libosmo-abis/missing' autoheader
AUTOMAKE = ${SHELL} '/build/coverity/source-Osmocom/libosmo-abis/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -std=gnu11 -Wall
CPPFLAGS =  -Wall
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_E1D = no
ENABLE_ORTP = yes
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBOSMOCODEC_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOCODEC_LIBS = -L/build/coverity/install-Osmocom/lib -losmocodec -losmocore -ltalloc -lmnl 
LIBOSMOCORE_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOCORE_LIBS = -L/build/coverity/install-Osmocom/lib -losmocore -ltalloc -lmnl 
LIBOSMOE1D_CFLAGS = 
LIBOSMOE1D_LIBS = 
LIBOSMOGSM_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOGSM_LIBS = -L/build/coverity/install-Osmocom/lib -losmogsm -losmoisdn -losmocore -ltalloc -lmnl 
LIBOSMONETIF_CFLAGS = -I/build/coverity/install-Osmocom/include/ 
LIBOSMONETIF_LIBS = -L/build/coverity/install-Osmocom/lib -losmonetif 
LIBOSMOVTY_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOVTY_LIBS = -L/build/coverity/install-Osmocom/lib -losmovty -losmocore -ltalloc -lmnl 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/build/coverity/source-Osmocom/libosmo-abis/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
ORTP_CFLAGS = 
ORTP_LIBS = -lortp 
OTOOL = 
OTOOL64 = 
PACKAGE = libosmo-abis
PACKAGE_BUGREPORT = openbsc@lists.osmocom.org
PACKAGE_NAME = libosmo-abis
PACKAGE_STRING = libosmo-abis 2.1.0.5-231d-dirty
PACKAGE_TARNAME = libosmo-abis
PACKAGE_URL = 
PACKAGE_VERSION = 2.1.0.5-231d-dirty
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_INSTALLED = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /build/coverity/install-Osmocom/lib/pkgconfig
RANLIB = ranlib
RELMAKE = -include osmo-release.mk
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SYMBOL_VISIBILITY = -fvisibility=hidden
VERSION = 2.1.0.5-231d-dirty
abs_builddir = /build/coverity/source-Osmocom/libosmo-abis
abs_srcdir = /build/coverity/source-Osmocom/libosmo-abis
abs_top_builddir = /build/coverity/source-Osmocom/libosmo-abis
abs_top_srcdir = /build/coverity/source-Osmocom/libosmo-abis
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu

=== coverity/source-Osmocom/libosmo-asn1-tcap/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libosmo-asn1-tcap
pkgincludedir = $(includedir)/libosmo-asn1-tcap
pkglibdir = $(libdir)/libosmo-asn1-tcap
pkglibexecdir = $(libexecdir)/libosmo-asn1-tcap
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = libosmo-asn1-tcap.pc
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
DATA = $(pkgconfig_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(srcdir)/libosmo-asn1-tcap.pc.in compile config.guess \
	config.sub install-sh ltmain.sh missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
DIST_TARGETS = dist-bzip2 dist-gzip
# Exists only to be overridden by the user if desired.
AM_DISTCHECK_DVI_TARGET = dvi
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} '/build/coverity/source-Osmocom/libosmo-asn1-tcap/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
ASN1C_BIN_PATH = /usr/bin/asn1c
ASN1C_SKELETON_PATH = /usr/share/asn1c
ASN_MODULE_CFLAGS = -DASN_DISABLE_XER_SUPPORT -DASN_DISABLE_JER_SUPPORT -DASN_DISABLE_OER_SUPPORT -DASN_DISABLE_UPER_SUPPORT -DASN_DISABLE_APER_SUPPORT
AUTOCONF = ${SHELL} '/build/coverity/source-Osmocom/libosmo-asn1-tcap/missing' autoconf
AUTOHEADER = ${SHELL} '/build/coverity/source-Osmocom/libosmo-asn1-tcap/missing' autoheader
AUTOMAKE = ${SHELL} '/build/coverity/source-Osmocom/libosmo-asn1-tcap/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"libosmo-asn1-tcap\" -DPACKAGE_TARNAME=\"libosmo-asn1-tcap\" -DPACKAGE_VERSION=\"0.2.1-dirty\" -DPACKAGE_STRING=\"libosmo-asn1-tcap\ 0.2.1-dirty\" -DPACKAGE_BUGREPORT=\"openbsc@lists.osmocom.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"libosmo-asn1-tcap\" -DVERSION=\"0.2.1-dirty\" -DHAVE_STDIO_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_STRINGS_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_UNISTD_H=1 -DSTDC_HEADERS=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\"
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/build/coverity/source-Osmocom/libosmo-asn1-tcap/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libosmo-asn1-tcap
PACKAGE_BUGREPORT = openbsc@lists.osmocom.org
PACKAGE_NAME = libosmo-asn1-tcap
PACKAGE_STRING = libosmo-asn1-tcap 0.2.1-dirty
PACKAGE_TARNAME = libosmo-asn1-tcap
PACKAGE_URL = 
PACKAGE_VERSION = 0.2.1-dirty
PATH_SEPARATOR = :
RANLIB = ranlib
RELMAKE = -include osmo-release.mk
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SYMBOL_VISIBILITY = -fvisibility=hidden
VERSION = 0.2.1-dirty
abs_builddir = /build/coverity/source-Osmocom/libosmo-asn1-tcap
abs_srcdir = /build/coverity/source-Osmocom/libosmo-asn1-tcap
abs_top_builddir = /build/coverity/source-Osmocom/libosmo-asn1-tcap
abs_top_srcdir = /build/coverity/source-Osmocom/libosmo-asn1-tcap
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info

=== coverity/source-Osmocom/libosmo-dsp/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libosmodsp
pkgincludedir = $(includedir)/libosmodsp
pkglibdir = $(libdir)/libosmodsp
pkglibexecdir = $(libexecdir)/libosmodsp
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = libosmodsp.pc contrib/libosmodsp.spec Doxyfile
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(htmldir)" "$(DESTDIR)$(pkgconfigdir)"
DATA = $(html_DATA) $(pkgconfig_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
	config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Doxyfile.in $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in $(srcdir)/libosmodsp.pc.in \
	$(top_srcdir)/contrib/libosmodsp.spec.in AUTHORS COPYING \
	README.md compile config.guess config.sub install-sh ltmain.sh \
	missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
GZIP_ENV = --best
DIST_ARCHIVES = $(distdir).tar.bz2
DIST_TARGETS = dist-bzip2
# Exists only to be overridden by the user if desired.
AM_DISTCHECK_DVI_TARGET = dvi
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} '/build/coverity/source-Osmocom/libosmo-dsp/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/build/coverity/source-Osmocom/libosmo-dsp/missing' autoconf
AUTOHEADER = ${SHELL} '/build/coverity/source-Osmocom/libosmo-dsp/missing' autoheader
AUTOMAKE = ${SHELL} '/build/coverity/source-Osmocom/libosmo-dsp/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FFTW3F_CFLAGS = 
FFTW3F_LIBS = -lfftw3f 
FGREP = /usr/bin/grep -F
FILECMD = file
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/build/coverity/source-Osmocom/libosmo-dsp/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libosmodsp
PACKAGE_BUGREPORT = gmr@lists.osmocom.org
PACKAGE_NAME = libosmodsp
PACKAGE_STRING = libosmodsp 0.4.0.12-f6f4
PACKAGE_TARNAME = libosmodsp
PACKAGE_URL = 
PACKAGE_VERSION = 0.4.0.12-f6f4
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /build/coverity/install-Osmocom/lib/pkgconfig
RANLIB = ranlib
RELMAKE = -include osmo-release.mk
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SYMBOL_VISIBILITY = -fvisibility=hidden
VERSION = 0.4.0.12-f6f4
abs_builddir = /build/coverity/source-Osmocom/libosmo-dsp
abs_srcdir = /build/coverity/source-Osmocom/libosmo-dsp
abs_top_builddir = /build/coverity/source-Osmocom/libosmo-dsp
abs_top_srcdir = /build/coverity/source-Osmocom/libosmo-dsp
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /build/coverity/source-Osmocom/libosmo-dsp/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /build/coverity/install-Osmocom
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc

=== coverity/source-Osmocom/libosmo-netif/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libosmo-netif
pkgincludedir = $(includedir)/libosmo-netif
pkglibdir = $(libdir)/libosmo-netif
pkglibexecdir = $(libexecdir)/libosmo-netif
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = libosmo-netif.pc Doxyfile \
	contrib/libosmo-netif.spec
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(htmldir)" "$(DESTDIR)$(pkgconfigdir)"
DATA = $(html_DATA) $(pkgconfig_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
	config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Doxyfile.in $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in $(srcdir)/libosmo-netif.pc.in \
	$(top_srcdir)/contrib/libosmo-netif.spec.in COPYING README.md \
	compile config.guess config.sub install-sh ltmain.sh missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
DIST_TARGETS = dist-bzip2 dist-gzip
# Exists only to be overridden by the user if desired.
AM_DISTCHECK_DVI_TARGET = dvi
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} '/build/coverity/source-Osmocom/libosmo-netif/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/build/coverity/source-Osmocom/libosmo-netif/missing' autoconf
AUTOHEADER = ${SHELL} '/build/coverity/source-Osmocom/libosmo-netif/missing' autoheader
AUTOMAKE = ${SHELL} '/build/coverity/source-Osmocom/libosmo-netif/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -std=gnu11 -Wall
CPPFLAGS =  -Wall
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GREP = /usr/bin/grep
HAVE_LIBSCTP = 1
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBOSMOCODEC_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOCODEC_LIBS = -L/build/coverity/install-Osmocom/lib -losmocodec -losmocore -ltalloc -lmnl 
LIBOSMOCORE_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOCORE_LIBS = -L/build/coverity/install-Osmocom/lib -losmocore -ltalloc -lmnl 
LIBOSMOGSM_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOGSM_LIBS = -L/build/coverity/install-Osmocom/lib -losmogsm -losmoisdn -losmocore -ltalloc -lmnl 
LIBOSMOVTY_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOVTY_LIBS = -L/build/coverity/install-Osmocom/lib -losmovty -losmocore -ltalloc -lmnl 
LIBS = 
LIBSCTP_LIBS = -lsctp
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/build/coverity/source-Osmocom/libosmo-netif/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libosmo-netif
PACKAGE_BUGREPORT = openbsc-devel@lists.openbsc.org
PACKAGE_NAME = libosmo-netif
PACKAGE_STRING = libosmo-netif 1.7.0.3-5c44-dirty
PACKAGE_TARNAME = libosmo-netif
PACKAGE_URL = 
PACKAGE_VERSION = 1.7.0.3-5c44-dirty
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_INSTALLED = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /build/coverity/install-Osmocom/lib/pkgconfig
RANLIB = ranlib
RELMAKE = -include osmo-release.mk
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SYMBOL_VISIBILITY = -fvisibility=hidden
VERSION = 1.7.0.3-5c44-dirty
abs_builddir = /build/coverity/source-Osmocom/libosmo-netif
abs_srcdir = /build/coverity/source-Osmocom/libosmo-netif
abs_top_builddir = /build/coverity/source-Osmocom/libosmo-netif
abs_top_srcdir = /build/coverity/source-Osmocom/libosmo-netif
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .

=== coverity/source-Osmocom/libosmo-pfcp/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libosmo-pfcp
pkgincludedir = $(includedir)/libosmo-pfcp
pkglibdir = $(libdir)/libosmo-pfcp
pkglibexecdir = $(libexecdir)/libosmo-pfcp
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = libosmo-gtlv.pc libosmo-pfcp.pc
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
DATA = $(pkgconfig_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
	config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(srcdir)/libosmo-gtlv.pc.in $(srcdir)/libosmo-pfcp.pc.in \
	AUTHORS COPYING README.md compile config.guess config.sub \
	install-sh ltmain.sh missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
DIST_TARGETS = dist-bzip2 dist-gzip
# Exists only to be overridden by the user if desired.
AM_DISTCHECK_DVI_TARGET = dvi
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} '/build/coverity/source-Osmocom/libosmo-pfcp/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/build/coverity/source-Osmocom/libosmo-pfcp/missing' autoconf
AUTOHEADER = ${SHELL} '/build/coverity/source-Osmocom/libosmo-pfcp/missing' autoheader
AUTOMAKE = ${SHELL} '/build/coverity/source-Osmocom/libosmo-pfcp/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -std=gnu11
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBOSMOCORE_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOCORE_LIBS = -L/build/coverity/install-Osmocom/lib -losmocore -ltalloc -lmnl 
LIBOSMOGSM_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOGSM_LIBS = -L/build/coverity/install-Osmocom/lib -losmogsm -losmoisdn -losmocore -ltalloc -lmnl 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/build/coverity/source-Osmocom/libosmo-pfcp/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libosmo-pfcp
PACKAGE_BUGREPORT = osmocom-net-gprs@lists.osmocom.org
PACKAGE_NAME = libosmo-pfcp
PACKAGE_STRING = libosmo-pfcp 0.6.0-dirty
PACKAGE_TARNAME = libosmo-pfcp
PACKAGE_URL = 
PACKAGE_VERSION = 0.6.0-dirty
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_INSTALLED = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /build/coverity/install-Osmocom/lib/pkgconfig
RANLIB = ranlib
RELMAKE = -include osmo-release.mk
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 0.6.0-dirty
abs_builddir = /build/coverity/source-Osmocom/libosmo-pfcp
abs_srcdir = /build/coverity/source-Osmocom/libosmo-pfcp
abs_top_builddir = /build/coverity/source-Osmocom/libosmo-pfcp
abs_top_srcdir = /build/coverity/source-Osmocom/libosmo-pfcp
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /build/coverity/source-Osmocom/libosmo-pfcp/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)

=== coverity/source-Osmocom/libosmo-sigtran/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libosmo-sigtran
pkgincludedir = $(includedir)/libosmo-sigtran
pkglibdir = $(libdir)/libosmo-sigtran
pkglibexecdir = $(libexecdir)/libosmo-sigtran
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = libosmo-sigtran.pc Doxyfile
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(htmldir)" "$(DESTDIR)$(pkgconfigdir)"
DATA = $(html_DATA) $(pkgconfig_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
	config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Doxyfile.in $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in $(srcdir)/libosmo-sigtran.pc.in COPYING \
	README.md compile config.guess config.sub install-sh ltmain.sh \
	missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
DIST_TARGETS = dist-bzip2 dist-gzip
# Exists only to be overridden by the user if desired.
AM_DISTCHECK_DVI_TARGET = dvi
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} '/build/coverity/source-Osmocom/libosmo-sigtran/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/build/coverity/source-Osmocom/libosmo-sigtran/missing' autoconf
AUTOHEADER = ${SHELL} '/build/coverity/source-Osmocom/libosmo-sigtran/missing' autoheader
AUTOMAKE = ${SHELL} '/build/coverity/source-Osmocom/libosmo-sigtran/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -std=gnu11 -Wall
CPPFLAGS =  -Wall
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GREP = /usr/bin/grep
HAVE_LIBSCTP = 1
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBOSMOASN1TCAP_CFLAGS = -I/build/coverity/install-Osmocom/include/ 
LIBOSMOASN1TCAP_LIBS = -L/build/coverity/install-Osmocom/lib -losmo-asn1-tcap 
LIBOSMOCORE_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOCORE_LIBS = -L/build/coverity/install-Osmocom/lib -losmocore -ltalloc -lmnl 
LIBOSMOGSM_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOGSM_LIBS = -L/build/coverity/install-Osmocom/lib -losmogsm -losmoisdn -losmocore -ltalloc -lmnl 
LIBOSMONETIF_CFLAGS = -I/build/coverity/install-Osmocom/include/ 
LIBOSMONETIF_LIBS = -L/build/coverity/install-Osmocom/lib -losmonetif 
LIBOSMOVTY_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOVTY_LIBS = -L/build/coverity/install-Osmocom/lib -losmovty -losmocore -ltalloc -lmnl 
LIBS = 
LIBSCTP_LIBS = -lsctp
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/build/coverity/source-Osmocom/libosmo-sigtran/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OSMOTESTEXT_CHECK = 
OSMO_GSM_MANUALS_DIR = 
OTOOL = 
OTOOL64 = 
PACKAGE = libosmo-sigtran
PACKAGE_BUGREPORT = openbsc@lists.osmocom.org
PACKAGE_NAME = libosmo-sigtran
PACKAGE_STRING = libosmo-sigtran 2.2.1.4-74d0-dirty
PACKAGE_TARNAME = libosmo-sigtran
PACKAGE_URL = 
PACKAGE_VERSION = 2.2.1.4-74d0-dirty
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_INSTALLED = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /build/coverity/install-Osmocom/lib/pkgconfig
PYTHON = 
PYTHON_EXEC_PREFIX = 
PYTHON_PLATFORM = 
PYTHON_PREFIX = 
PYTHON_VERSION = 
RANLIB = ranlib
RELMAKE = -include osmo-release.mk
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SYMBOL_VISIBILITY = -fvisibility=hidden
TCAP_LIBS_PC = libosmo-asn1-tcap
VERSION = 2.2.1.4-74d0-dirty
abs_builddir = /build/coverity/source-Osmocom/libosmo-sigtran
abs_srcdir = /build/coverity/source-Osmocom/libosmo-sigtran
abs_top_builddir = /build/coverity/source-Osmocom/libosmo-sigtran
abs_top_srcdir = /build/coverity/source-Osmocom/libosmo-sigtran
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias =

=== coverity/source-Osmocom/libosmocore/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libosmocore
pkgincludedir = $(includedir)/libosmocore
pkglibdir = $(libdir)/libosmocore
pkglibexecdir = $(libexecdir)/libosmocore
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_compile_flag.m4 \
	$(top_srcdir)/m4/ax_check_simd.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/check_tls_gcc_arm_bug.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/osmo_ac_code_coverage.m4 \
	$(top_srcdir)/m4/osmo_ax_code_coverage.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(dist_bin_SCRIPTS) $(dist_aclocal_DATA) \
	$(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = libosmocore.pc libosmocodec.pc libosmocoding.pc \
	libosmovty.pc libosmogsm.pc libosmoisdn.pc libosmogb.pc \
	libosmoctrl.pc libosmosim.pc libosmousb.pc Doxyfile.core \
	Doxyfile.gsm Doxyfile.isdn Doxyfile.vty Doxyfile.codec \
	Doxyfile.coding Doxyfile.gb Doxyfile.ctrl Doxyfile.sim \
	Doxyfile.usb contrib/libosmocore.spec
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(aclocaldir)" \
	"$(DESTDIR)$(htmldir)" "$(DESTDIR)$(pkgconfigdir)" \
	"$(DESTDIR)$(relengdir)"
SCRIPTS = $(dist_bin_SCRIPTS)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DATA = $(dist_aclocal_DATA) $(html_DATA) $(pkgconfig_DATA) \
	$(releng_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
	config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Doxyfile.codec.in \
	$(srcdir)/Doxyfile.coding.in $(srcdir)/Doxyfile.core.in \
	$(srcdir)/Doxyfile.ctrl.in $(srcdir)/Doxyfile.gb.in \
	$(srcdir)/Doxyfile.gsm.in $(srcdir)/Doxyfile.isdn.in \
	$(srcdir)/Doxyfile.sim.in $(srcdir)/Doxyfile.usb.in \
	$(srcdir)/Doxyfile.vty.in $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in $(srcdir)/libosmocodec.pc.in \
	$(srcdir)/libosmocoding.pc.in $(srcdir)/libosmocore.pc.in \
	$(srcdir)/libosmoctrl.pc.in $(srcdir)/libosmogb.pc.in \
	$(srcdir)/libosmogsm.pc.in $(srcdir)/libosmoisdn.pc.in \
	$(srcdir)/libosmosim.pc.in $(srcdir)/libosmousb.pc.in \
	$(srcdir)/libosmovty.pc.in \
	$(top_srcdir)/contrib/libosmocore.spec.in COPYING README.md \
	compile config.guess config.sub install-sh ltmain.sh missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
GZIP_ENV = --best
DIST_ARCHIVES = $(distdir).tar.bz2
DIST_TARGETS = dist-bzip2
# Exists only to be overridden by the user if desired.
AM_DISTCHECK_DVI_TARGET = dvi
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ABS_TAPSET_DIR = 
ACLOCAL = ${SHELL} '/build/coverity/source-Osmocom/libosmocore/missing' aclocal-1.16
ALLOCA = 
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/build/coverity/source-Osmocom/libosmocore/missing' autoconf
AUTOHEADER = ${SHELL} '/build/coverity/source-Osmocom/libosmocore/missing' autoheader
AUTOMAKE = ${SHELL} '/build/coverity/source-Osmocom/libosmocore/missing' automake-1.16
AWK = gawk
BACKTRACE_LIB = 
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -std=gnu11 -DBUILDING_LIBOSMOCORE -Wall
CODE_COVERAGE_BRANCH_COVERAGE = 
CODE_COVERAGE_CFLAGS = 
CODE_COVERAGE_CPPFLAGS = 
CODE_COVERAGE_CXXFLAGS = 
CODE_COVERAGE_DIRECTORY = 
CODE_COVERAGE_ENABLED = no
CODE_COVERAGE_IGNORE_PATTERN = 
CODE_COVERAGE_LCOV_OPTIONS = 
CODE_COVERAGE_LDFLAGS = 
CODE_COVERAGE_LIBS = 
CPP = gcc -E
CPPFLAGS =  -DBUILDING_LIBOSMOCORE -Wall
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOXYGEN = doxygen
DOXYGEN = /usr/bin/doxygen
DSYMUTIL = 
DTRACE = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ENABLE_GNUTLS = yes
ENABLE_LIBMNL = 
ENABLE_LIBUSB = yes
ENABLE_PCSC = yes
ENABLE_SYSTEMD_LOGGING = 
ENABLE_URING = yes
ENABLE_URING_TESTS = yes
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GCOV = 
GENHTML = 
GREP = /usr/bin/grep
HAVE_LIBSCTP = 
HAVE_SYS_SOCKET_H = 1
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LCOV = 
LCOV_COBERTURA = 
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1 
LIBGNUTLS_LIBS = -lgnutls 
LIBMNL_CFLAGS = 
LIBMNL_LIBS = -lmnl 
LIBMNL_PC = libmnl
LIBOBJS = 
LIBRARY_DLOPEN = 
LIBRARY_DLSYM = 
LIBRARY_RT = 
LIBS = 
LIBSCTP_CFLAGS = 
LIBSCTP_LIBS = -lsctp 
LIBSCTP_PC = libsctp
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBUSB_CFLAGS = -I/usr/include/libusb-1.0 
LIBUSB_LIBS = -lusb-1.0 
LIPO = 
LN_S = ln -s

=== coverity/source-Osmocom/osmo-bsc-nat/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/osmo-bsc-nat
pkgincludedir = $(includedir)/osmo-bsc-nat
pkglibdir = $(libdir)/osmo-bsc-nat
pkglibexecdir = $(libexecdir)/osmo-bsc-nat
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
	config.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
	COPYING README.md compile config.guess config.sub install-sh \
	ltmain.sh missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
DIST_TARGETS = dist-bzip2 dist-gzip
# Exists only to be overridden by the user if desired.
AM_DISTCHECK_DVI_TARGET = dvi
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} '/build/coverity/source-Osmocom/osmo-bsc-nat/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/build/coverity/source-Osmocom/osmo-bsc-nat/missing' autoconf
AUTOHEADER = ${SHELL} '/build/coverity/source-Osmocom/osmo-bsc-nat/missing' autoheader
AUTOMAKE = ${SHELL} '/build/coverity/source-Osmocom/osmo-bsc-nat/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -std=gnu11
COVERAGE_CFLAGS = 
COVERAGE_LDFLAGS = 
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GREP = /usr/bin/grep
HAVE_LIBSCTP = 1
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBOSMOABIS_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOABIS_LIBS = -L/build/coverity/install-Osmocom/lib -losmoabis -losmocore -ltalloc -lmnl 
LIBOSMOCORE_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOCORE_LIBS = -L/build/coverity/install-Osmocom/lib -losmocore -ltalloc -lmnl 
LIBOSMOCTRL_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOCTRL_LIBS = -L/build/coverity/install-Osmocom/lib -losmoctrl -losmogsm -losmoisdn -losmocore -ltalloc -lmnl 
LIBOSMOGSM_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOGSM_LIBS = -L/build/coverity/install-Osmocom/lib -losmogsm -losmoisdn -losmocore -ltalloc -lmnl 
LIBOSMOMGCPCLIENT_CFLAGS = -I/build/coverity/install-Osmocom/include/ 
LIBOSMOMGCPCLIENT_LIBS = -L/build/coverity/install-Osmocom/lib -losmo-mgcp-client 
LIBOSMONETIF_CFLAGS = -I/build/coverity/install-Osmocom/include/ 
LIBOSMONETIF_LIBS = -L/build/coverity/install-Osmocom/lib -losmonetif 
LIBOSMOSIGTRAN_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOSIGTRAN_LIBS = -L/build/coverity/install-Osmocom/lib -losmo-sigtran 
LIBOSMOVTY_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOVTY_LIBS = -L/build/coverity/install-Osmocom/lib -losmovty -losmocore -ltalloc -lmnl 
LIBRARY_DL = 
LIBS = 
LIBSCTP_LIBS = -lsctp
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/build/coverity/source-Osmocom/osmo-bsc-nat/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OSMOTESTEXT_CHECK = 
OSMO_GSM_MANUALS_DIR = 
OTOOL = 
OTOOL64 = 
PACKAGE = osmo-bsc-nat
PACKAGE_BUGREPORT = openbsc@lists.osmocom.org
PACKAGE_NAME = osmo-bsc-nat
PACKAGE_STRING = osmo-bsc-nat UNKNOWN
PACKAGE_TARNAME = osmo-bsc-nat
PACKAGE_URL = 
PACKAGE_VERSION = UNKNOWN
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_INSTALLED = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /build/coverity/install-Osmocom/lib/pkgconfig
PYTHON3_AVAIL = 
RANLIB = ranlib
RELMAKE = -include osmo-release.mk
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SYMBOL_VISIBILITY = -fvisibility=hidden
VERSION = UNKNOWN
abs_builddir = /build/coverity/source-Osmocom/osmo-bsc-nat
abs_srcdir = /build/coverity/source-Osmocom/osmo-bsc-nat
abs_top_builddir = /build/coverity/source-Osmocom/osmo-bsc-nat
abs_top_srcdir = /build/coverity/source-Osmocom/osmo-bsc-nat
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /build/coverity/source-Osmocom/osmo-bsc-nat/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /build/coverity/install-Osmocom
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com

=== coverity/source-Osmocom/osmo-bsc/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/osmo-bsc
pkgincludedir = $(includedir)/osmo-bsc
pkglibdir = $(libdir)/osmo-bsc
pkglibexecdir = $(libexecdir)/osmo-bsc
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = bscconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
	bscconfig.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/bscconfig.h.in \
	AUTHORS COPYING README.md compile config.guess config.sub \
	install-sh ltmain.sh missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
DIST_TARGETS = dist-bzip2 dist-gzip
# Exists only to be overridden by the user if desired.
AM_DISTCHECK_DVI_TARGET = dvi
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} '/build/coverity/source-Osmocom/osmo-bsc/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/build/coverity/source-Osmocom/osmo-bsc/missing' autoconf
AUTOHEADER = ${SHELL} '/build/coverity/source-Osmocom/osmo-bsc/missing' autoheader
AUTOMAKE = ${SHELL} '/build/coverity/source-Osmocom/osmo-bsc/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -std=gnu11
COVERAGE_CFLAGS = 
COVERAGE_LDFLAGS = 
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBOSMOABIS_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOABIS_LIBS = -L/build/coverity/install-Osmocom/lib -losmoabis -losmocore -ltalloc -lmnl 
LIBOSMOCORE_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOCORE_LIBS = -L/build/coverity/install-Osmocom/lib -losmocore -ltalloc -lmnl 
LIBOSMOCTRL_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOCTRL_LIBS = -L/build/coverity/install-Osmocom/lib -losmoctrl -losmogsm -losmoisdn -losmocore -ltalloc -lmnl 
LIBOSMOGSM_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOGSM_LIBS = -L/build/coverity/install-Osmocom/lib -losmogsm -losmoisdn -losmocore -ltalloc -lmnl 
LIBOSMOMGCPCLIENT_CFLAGS = -I/build/coverity/install-Osmocom/include/ 
LIBOSMOMGCPCLIENT_LIBS = -L/build/coverity/install-Osmocom/lib -losmo-mgcp-client 
LIBOSMONETIF_CFLAGS = -I/build/coverity/install-Osmocom/include/ 
LIBOSMONETIF_LIBS = -L/build/coverity/install-Osmocom/lib -losmonetif 
LIBOSMOSIGTRAN_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOSIGTRAN_LIBS = -L/build/coverity/install-Osmocom/lib -losmo-sigtran 
LIBOSMOVTY_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOVTY_LIBS = -L/build/coverity/install-Osmocom/lib -losmovty -losmocore -ltalloc -lmnl 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/build/coverity/source-Osmocom/osmo-bsc/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OSMOTESTEXT_CHECK = 
OSMO_GSM_MANUALS_DIR = 
OTOOL = 
OTOOL64 = 
PACKAGE = osmo-bsc
PACKAGE_BUGREPORT = openbsc@lists.osmocom.org
PACKAGE_NAME = osmo-bsc
PACKAGE_STRING = osmo-bsc 1.14.0.6-37929-dirty
PACKAGE_TARNAME = osmo-bsc
PACKAGE_URL = 
PACKAGE_VERSION = 1.14.0.6-37929-dirty
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_INSTALLED = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /build/coverity/install-Osmocom/lib/pkgconfig
PYTHON3_AVAIL = 
RANLIB = ranlib
RELMAKE = -include osmo-release.mk
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
SQLITE3_CFLAGS = 
SQLITE3_LIBS = 
STRIP = strip
SYMBOL_VISIBILITY = -fvisibility=hidden
VERSION = 1.14.0.6-37929-dirty
abs_builddir = /build/coverity/source-Osmocom/osmo-bsc
abs_srcdir = /build/coverity/source-Osmocom/osmo-bsc
abs_top_builddir = /build/coverity/source-Osmocom/osmo-bsc
abs_top_srcdir = /build/coverity/source-Osmocom/osmo-bsc
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /build/coverity/source-Osmocom/osmo-bsc/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
osmo_ac_ipa_utils = yes
osmo_ac_meas_pcap2db = no
osmo_ac_meas_udp2db = no
osmo_ac_meas_vis = no
pdfdir = ${docdir}
prefix = /build/coverity/install-Osmocom
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run

=== coverity/source-Osmocom/osmo-bts/Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/osmo-bts
pkgincludedir = $(includedir)/osmo-bts
pkglibdir = $(libdir)/osmo-bts
pkglibexecdir = $(libexecdir)/osmo-bts
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
	$(am__configure_deps) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = btsconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
	btsconfig.h.in
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/btsconfig.h.in \
	COPYING README.md compile config.guess config.sub install-sh \
	ltmain.sh missing
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
GZIP_ENV = --best
DIST_TARGETS = dist-bzip2 dist-gzip
# Exists only to be overridden by the user if desired.
AM_DISTCHECK_DVI_TARGET = dvi
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ABS_TAPSET_DIR = 
ACLOCAL = ${SHELL} '/build/coverity/source-Osmocom/osmo-bts/missing' aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} '/build/coverity/source-Osmocom/osmo-bts/missing' autoconf
AUTOHEADER = ${SHELL} '/build/coverity/source-Osmocom/osmo-bts/missing' autoheader
AUTOMAKE = ${SHELL} '/build/coverity/source-Osmocom/osmo-bts/missing' automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS =  -std=gnu11
CPPFLAGS = 
CSCOPE = cscope
CTAGS = ctags
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DTRACE = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
ETAGS = etags
EXEEXT = 
FGREP = /usr/bin/grep -F
FILECMD = file
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBGPS_CFLAGS = 
LIBGPS_LIBS = -lgps 
LIBOBJS = 
LIBOSMOABIS_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOABIS_LIBS = -L/build/coverity/install-Osmocom/lib -losmoabis -losmocore -ltalloc -lmnl 
LIBOSMOCODEC_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOCODEC_LIBS = -L/build/coverity/install-Osmocom/lib -losmocodec -losmocore -ltalloc -lmnl 
LIBOSMOCODING_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOCODING_LIBS = -L/build/coverity/install-Osmocom/lib -losmocoding -losmogsm -losmoisdn -losmocodec -losmocore -ltalloc -lmnl 
LIBOSMOCORE_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOCORE_LIBS = -L/build/coverity/install-Osmocom/lib -losmocore -ltalloc -lmnl 
LIBOSMOCTRL_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOCTRL_LIBS = -L/build/coverity/install-Osmocom/lib -losmoctrl -losmogsm -losmoisdn -losmocore -ltalloc -lmnl 
LIBOSMOGSM_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOGSM_LIBS = -L/build/coverity/install-Osmocom/lib -losmogsm -losmoisdn -losmocore -ltalloc -lmnl 
LIBOSMONETIF_CFLAGS = -I/build/coverity/install-Osmocom/include/ 
LIBOSMONETIF_LIBS = -L/build/coverity/install-Osmocom/lib -losmonetif 
LIBOSMOTRAU_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOTRAU_LIBS = -L/build/coverity/install-Osmocom/lib -losmotrau -losmocore -ltalloc -lmnl 
LIBOSMOVTY_CFLAGS = -I/build/coverity/install-Osmocom/include/ -pthread 
LIBOSMOVTY_LIBS = -L/build/coverity/install-Osmocom/lib -losmovty -losmocore -ltalloc -lmnl 
LIBS = 
LIBSYSTEMD_CFLAGS = 
LIBSYSTEMD_LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LITECELL15_INCDIR = -I
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} '/build/coverity/source-Osmocom/osmo-bts/missing' makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OC2G_INCDIR = -I
OCTSDR2G_INCDIR = -I/build/coverity/source-Osmocom/osmo-bts/src/osmo-bts-octphy/
OSMOTESTEXT_CHECK = 
OSMO_GSM_MANUALS_DIR = 
OTOOL = 
OTOOL64 = 
PACKAGE = osmo-bts
PACKAGE_BUGREPORT = openbsc@lists.osmocom.org
PACKAGE_NAME = osmo-bts
PACKAGE_STRING = osmo-bts 1.10.0.25-7e45-dirty
PACKAGE_TARNAME = osmo-bts
PACKAGE_URL = 
PACKAGE_VERSION = 1.10.0.25-7e45-dirty
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_INSTALLED = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = /build/coverity/install-Osmocom/lib/pkgconfig
PYTHON3_AVAIL = 
RANLIB = ranlib
RELMAKE = -include osmo-release.mk
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SYSMOBTS_INCDIR = -I/build/coverity/install-Osmocom/include/
VERSION = 1.10.0.25-7e45-dirty
abs_builddir = /build/coverity/source-Osmocom/osmo-bts
abs_srcdir = /build/coverity/source-Osmocom/osmo-bts
abs_top_builddir = /build/coverity/source-Osmocom/osmo-bts
abs_top_srcdir = /build/coverity/source-Osmocom/osmo-bts
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /build/coverity/source-Osmocom/osmo-bts/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include

=== coverity/source-Osmocom/libosmo-pfcp/debian/changelog ===
libosmo-pfcp (0.6.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * pfcp_endpoint: Increase sent_{requests,responses}_by_seq_nr hashtable size
  * pfcp_msg: Add osmo_pfcp_ie_node_id_cmp()
  * Introduce API osmo_pfcp_cp_peer_free()

  [ Oliver Smith ]
  * Generate a version.h file

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 03 Dec 2025 18:14:57 +0100

libosmo-pfcp (0.5.0) unstable; urgency=medium

  [ Neels Janosch Hofmeyr ]
  * coverity CID#313611

  [ Pau Espin Pedrol ]
  * pfcp: add API osmo_pfcp_cp_peer_set_associated_cb()
  * pfcp: Add APIs to access struct osmo_pfcp_cp_peer
  * pfcp: Make struct osmo_pfcp_cp_peer private
  * Use hashtable to look up req/resp by seq_nr
  * Port pfcp socket to osmo_iofd

  [ Oliver Smith ]
  * debian/control: add missing deps to -dev pkg

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 12 Feb 2025 11:25:33 +0100

libosmo-pfcp (0.4.0) unstable; urgency=medium

  [ Harald Welte ]
  * add missing GPLv2 license text as COPYING file

  [ Neels Janosch Hofmeyr ]
  * osmo_gtlv_cfg: fix api doc
  * pfcp up_function_features: allow shorter lengths
  * add osmo_pfcp_ip_addrs_get

  [ Oliver Smith ]
  * contrib: remove rpm spec file

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 24 Jul 2024 12:04:14 +0200

libosmo-pfcp (0.3.0) unstable; urgency=medium

  [ Neels Janosch Hofmeyr ]
  * clarify API doc for osmo_pfcp_endpoint_tx()
  * add doc/charts/pfcp_msgs*.msc
  * libosmo-pfcp.pc.in: add missing libosmogsm
  * build: drop COVERAGE
  * build: drop $(all_includes)
  * build: drop LIBOSMOVTY from libosmo-pfcp
  * build: libosmo-gtlv: move LIBS to libosmo_gtlv_la_LIBADD
  * build: fix linking gen__pfcp_ies_auto to use build-tree libosmo-gtlv
  * build: add gen__pfcp_ies_auto_LDFLAGS = -no-install
  * pfcp_msg: refactor LOG_PFCP_MSG
  * coverity: fix null deref

  [ Oliver Smith ]
  * Run struct_endianness.py
  * debian: make consistent

  [ Harald Welte ]
  * Fix license information in dpkg + rpm packages: GPLv2+ and not AGPLv3+

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 12 Sep 2023 13:55:22 +0200

libosmo-pfcp (0.2.0) unstable; urgency=medium

  [ Neels Hofmeyr ]
  * pfcp_msg: check use count correctness
  * gtlv: check memory bounds 1/3: encoding TLV
  * gtlv: check memory bounds 2/3: decoding TLV
  * gtlv: check memory bounds 3/3: encoding to str
  * gtlv: fix repeated IEIs to several struct members
  * gtlv: test repeated IEIs to several struct members

  [ Harald Welte ]
  * Support building with -Werror=strict-prototypes / -Werror=old-style-definition
  * Add -Werror=implicit-int -Werror=int-conversion -Werror=old-style-definition

  [ Vadim Yanitskiy ]
  * contrib/jenkins.sh: build with --enable-werror
  * tests: use 'noinst_PROGRAMS' instead of 'noinst_PROGRAMS'

  [ Neels Janosch Hofmeyr ]
  * api doc: explain heartbeat handling in rx_msg_cb
  * pfcp_test: init logging, for PFCP errors
  * pfcp_test: add missing 'pdi_present = true'
  * pfcp_test: fix order of dependencies
  * PFCP: add Network Instance IE in PDI IE
  * add osmo_pfcp_ip_addrs_to_str_*()
  * osmo_pfcp_ip_addrs_set(): do not set port number
  * add osmo_pfcp_ie_outer_header_creation_to_str_*()
  * tweak comment in pfcp_ies_custom.c
  * pfcp coding errmsgs: drop extra newlines
  * fix coding of Network Instance IE
  * fix coding of Node ID: FQDN type
  * bitmask to string: shorten
  * gtlv: decoding error: log size limited hexdump of IE
  * silence compiler warning in gtlv_dec_enc.c

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 07 Feb 2023 13:58:41 +0100

libosmo-pfcp (0.1.2) unstable; urgency=medium

  [ Neels Hofmeyr ]
  * pkgconfig: add missing 'Requires:'

 -- Neels Janosch Hofmeyr <nhofmeyr@sysmocom.de>  Wed, 24 Aug 2022 16:39:11 +0200

libosmo-pfcp (0.1.1) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * fix incorrect timeout values: milliseconds vs microseconds
  * configure: fix AC_CONFIG_MACRO_DIRS related warnings
  * configure: fix warning: AC_OUTPUT should be used without arguments
  * gitignore: ignore *.la objects: libosmo-{gtlv,pfcp}.la
  * contrib/libosmo-pfcp.spec.in: do not depend on systemd
  * contrib/libosmo-pfcp.spec.in: do not disable LTO
  * configure.ac: do not require unused dlopen

  [ Neels Hofmeyr ]
  * separate pfcp_queue_timer_cb() in req and resp
  * fix wrong constants used in osmo_pfcp_tdefs (typo)
  * clarify osmo_pfcp_msg alloc API
  * apply code review: refactor pfcp_endpoint API
  * pfcp_endpoint: fix final PFCP retrans resp_cb
  * set LIBVERSION=0:0:0
  * comment / whitespace tweaks in pfcp_endpoint.c
  * debian packaging of libosmo-gtlv and libosmo-pfcp
  * README.md: tweak clone URL
  * configure.ac: drop dependencies on vty and ctrl
  * RPM: fix .spec file
  * debian: add missing *-dev.install files
  * debian/control: fix confusion in description
  * debian: fix missing dep gtlv0 <- pfcp0
  * libosmo-gtlv.pc.in: tweak Description
  * fix warnings: 'uninitialized'
  * .gitignore fixes: generated sources, .spec file
  * doc: minor fix in pfcp_cp_peer_fsm.dot
  * pfcp_cp_peer: check use count correctness
  * RPM: fix configure and typo "gltv" in .spec.in

  [ Oliver Smith ]
  * gitreview: fix project
  * rpm spec: use --disable-static
  * debian/control: move -dev deps of libosmo-gtlv-dev
  * packaging: depend on libosmocore >= 1.7.0

  [ Harald Welte ]
  * rpm spec: reduce summary line length

 -- Oliver Smith <osmith@sysmocom.de>  Mon, 22 Aug 2022 11:38:51 +0200

libosmo-pfcp (0.1.0) testing; urgency=low

  Create new Debian package.

 -- Neels Hofmeyr <nhofmeyr@sysmocom.de>  Tue, 9 Aug 2022 18:29:05 +0200

=== coverity/source-Osmocom/osmo-bsc/debian/changelog ===
osmo-bsc (1.14.0) unstable; urgency=medium

  [ csaba.sipos ]
  * nokia_site: Add object_identity, object_state and object_identity_state attributes
  * nokia_site: add function to unlock and reset TRXes

  [ Pau Espin Pedrol ]
  * Drop use of deprecated vty is_config_node() cb
  * nokia: Fix uninitialized access
  * vty: Improve cmd 'cell barred' description
  * cosmetic: Improve documentation with spec references about several parameters
  * cosmetic: Update 3GPP spec reference
  * meas_feed: Increase default txqueue len to 1024
  * bsc: Make sure MSC PC is added to sccp-addressbook
  * sigtran: Log N-PCSTATE.ind PC with configured format
  * sigtran: Avoid potential uninitialized ptr dereference
  * Introduce LOG_MSC log macro
  * sccp: Handle N-NOTICE.ind (Routing Failure of SCCP CL messages)
  * sigtran: Compare sccp_addr using osmo_sccp_addr_ri_cmp()
  * Fix wrong list entry derreference during bts_depend_find_entry()
  * sccplite: Avoid msgb_free() during ss7 rx_unknown_cb()
  * Replace ipa_prepend_header() with osmo_ipa_msg_push_header(s)()
  * sccplite: Handle MGCP/CTRL over SCCPLite multiplex using MTP-TRANSFER.req/ind
  * sccplite: rx mgcp: Make sure payload string is null-terminated
  * sigtran: Fix potential null ptr derreference

  [ Mychaela N. Falconia ]
  * E1 BTS: direct MGW to 8k subslots for TCH/H
  * TW-TS-* support: pass RTP extensions to MGW

  [ Vadim Yanitskiy ]
  * bts_vty: drop NL in 'ncc-permitted' commands

  [ Michael Iedema ]
  * meas_json: add command line option to specify binding ip

  [ Oliver Smith ]
  * Fix building for debian 13 armv7l
  * Don't crash on loc req with disabled SMLC

  [ Keith Whyte ]
  * Fix missing LAC/CI hashtable update upon CTRL SET

  [ Matan Perelman ]
  * handover: Move log macros to handover_fsm.h
  * handover_decision_2: Drop unused include
  * handover_decision: Check for connection prerequisites

  [ Andreas Eversberg ]
  * Add ER-GSM band support
  * ASCI: Fix removal of call notification when lchan fails

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 03 Dec 2025 19:32:45 +0100

osmo-bsc (1.13.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * bs11: Mark global private variables as static
  * bs11: Move model struct further down in the file
  * Convert bts->depends_on from bitmask to llist
  * Introduce typedef for bts->nr gsm_bts_nr_t
  * tests/vty: Validate allocating all possible BTS
  * Initial support for >256 BTS
  * rsl_rx_pchan_rqd(): Clean up code path
  * pcu_tx_rach_ind(): Avoid forwarding chan_rqd to PCU if not expected
  * pcu_info_update(): Simplify code path with early return
  * Log unsupported PCUIF for bts > 255
  * Remove unused function gsm_bts_by_lac()
  * bsc_vty: Use gsm_bts_num() in ho_or_as()
  * Clarify code around bts->loc_list
  * bts: Make sure bts_location entries in bts->loc_list are freed
  * bts: Remove from net->bts_list during talloc destructor
  * bts: Remove acc timers during talloc destructor
  * gsm_bts_num(): use hashtable to lookup bts
  * tests/ctrl/osmo-bsc-neigh-test.cfg: Fix duplicate <LAC,CI> between bts1 and bts2
  * Introduce hashtable to lookup bts by LAC
  * Introduce hashtable to lookup bts by CI
  * Introduce hashtable to lookup bts by <LAC,CI>
  * bsc_ctrl: Use new libosmo-sigtran API osmo_ss7_route_get_dest_as()
  * lb: Avoid using osmo_ss7_instance private field
  * Use new libosmo-sigtran API osmo_ss7_instance_get_id()
  * Use new libosmo-sigtran API osmo_ss7_instances_llist_entry()
  * bsc_sccplite_msc_send(): Fix msgb leak
  * Use new libosmo-sigtran API osmo_ss7_as_get_asp_protocol()
  * Use new libosmo-sigtran API osmo_ss7_as_select_asp()
  * jenkins.sh: libosmo-netif no longer depends on libosmo-abis
  * abis: Fix reusing bts->*_link while it is being destroyed
  * ipaccess-proxy: Fix wrong cb function passed
  * Drop use of libosmo-abis osmocom/abis/ipaccess.h
  * ipaccess-config: Use own e1_input ipaccess driver
  * ipaccess-config: Remove unused function ipaccess_bts_handle_ccm()
  * Drop unneeded use of abis/ipa.h header
  * jenkins.sh: No need to build libosmo-sigtran with doxygen
  * Fix BTS nr >255 wrapping up during bts allocation
  * Use correct bts_nr field during MO init
  * cbsp_link: set name on stream

  [ Oliver Smith ]
  * contrib/jenkins: libosmo-sccp -> libosmo-sigtran

  [ Philipp Maier ]
  * pcu_sock: do not receive a TXT ind. with PCU_VERSION for a specific BTS

  [ Csaba Sipos ]
  * nokia_site: add some missing message IDs
  * nokia_site: add missing element names
  * nokia_site: change RSL bootstrap logic
  * nokia_site: introduce hopping control for Nokia *Site

  [ Neels Hofmeyr ]
  * drop unused function decl abis_nm_rx()

  [ csaba.sipos ]
  * nokia_site: add reset_type attribute

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 12 Feb 2025 13:02:16 +0100

osmo-bsc (1.12.1) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * osmo_msc_data_alloc(), doc/examples: deny emergency calls by default
  * osmo_msc_data_alloc(), doc/examples: allow all AMR modes by default

  [ Daniel Willmann ]
  * osmo_bsc_sigtran: Don't try to decode ipaccess_head a second time

 -- Oliver Smith <osmith@sysmocom.de>  Thu, 01 Aug 2024 11:01:08 +0200

osmo-bsc (1.12.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * struct gsm_bts_trx[_ts], gsm_abis_mo: drop unused nm_attr
  * bts_siemens_bs11: remove ip.access nanoBTS specific code
  * abis_nm: separate parsing of osmo-bts features into a function
  * abis_nm: parse feature flags in NM_ATT_IPACC_SUPP_FEATURES
  * nm_{bb_transc,bts}_fsm: rework sending of Get Attributes
  * abis_nm: get rid of MAX_BTS_ATTR
  * gsm_data: refactor/simplify and expose gsm_objclass2mo()
  * bts_ipaccess_nanobts: clean up, use gsm_objclass2mo()
  * oml: ipacc: parse Object Version from SW Activated Report
  * oml: ipacc: log supported features using LOGL_INFO
  * oml: ipacc: fix copy-pasted talloc chunk names
  * abis_nm: fix bts->nr vs bts->bts_nr
  * oml: ipacc: add missing is_ipa_abisip_bts() checks


=== coverity/source-Osmocom/osmo-bts/debian/changelog ===
osmo-bts (1.10.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * rsl: rsl_rx_chan_activ(): fix code formatting
  * power_control: always feed input values to do_avg_algo()
  * osmo-bts-trx: trx_fn_timer_cb(): fix misleading shutdown reason

  [ Mychaela N. Falconia ]
  * TCH UL path: add out-of-band BFI flag
  * FR/HR/EFR: centralize TCH UL SID classification
  * FR/HR/EFR: implement SID filter in TCH UL path
  * HRv1 codec: add support for TW-TS-002

  [ Oliver Smith ]
  * Fix build with debian 13

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 03 Dec 2025 19:27:41 +0100

osmo-bts (1.9.0) unstable; urgency=medium

  [ Mychaela N. Falconia ]
  * sysmo: generate empty TCH/H payload on FACCH/H Rx
  * CSD: implement half-rate modes correctly
  * csd_v110: set E2 bit correctly for TCH/[FH]4.8 NT
  * CSD RTP: verify alignment of V.110 frames
  * csd_v110_rtp_decode: preserve E2 & E3 bits for RLP alignment
  * cosmetic: eliminate else-after-return in gsmtap_csd_rlp_process()
  * cosmetic: move gsmtap_csd_rlp_process() to csd_rlp.c
  * CSD NT modes: transmit properly aligned RLP frames on DL

  [ Vadim Yanitskiy ]
  * tests/csd: add NT variants for TCH/F4.8 and TCH/F9.6
  * l1sap: prevent buffer overflow in l1sap_rtp_rx_cb()
  * l1sap: move struct osmo_rlp_frame_decoded to the if-scope
  * rsl: rsl_handle_chan_mod_ie(): set lchan->csd_mode for NT CSD
  * vty: lchan_dump_full_vty(): print CSD mode
  * l1sap: make send_ul_rtp_packet_hrdata() NULL-safe
  * osmo-bts-trx: fix scheduling of DL FACCH/H for TCH/H4.8 and TCH/H2.4
  * l1sap: l1sap_tch_rts_ind(): fix NULL ptr dereference
  * csd_v110: use osmo_csd_ra2_* API from libosmotrau
  * csd_v110: add CSD_V110_NUM_BITS macro
  * csd_v110: clarify field names in csd_v110_lchan_desc[]
  * csd_v110: clarify lchan description for TCH/F14.4
  * csd_v110: handle TCH/F14.4

  [ Pau Espin Pedrol ]
  * jenkins.sh: libosmo-netif no longer depends on libosmo-abis
  * bts-omldummy: Support configuring logging through cmdline
  * bts-omldummy: print category names instead of hex values
  * Fix missing quote char in log line
  * abis: Log line and ts nr of signal
  * abis: Fix reusing bts->*_link while it is being destroyed
  * Drop use of libosmo-abis osmocom/abis/ipaccess.h

  [ Philipp Maier ]
  * pcu_sock: do not receive a TXT ind. with PCU_VERSION for a specific BTS

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 12 Feb 2025 12:56:09 +0100

osmo-bts (1.8.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * osmo-bts-{oc2g,lc15}: signal CBCH support to BSC
  * oml: oml_tx_attr_resp(): pass *mo to handle_attrs_{bts,trx}()
  * oml: refactor generation of Get Attribute Response
  * oml: oml_tx_attr_resp(): handle common nm_state attributes
  * oml: implement handling of NM_ATT_IPACC_SUPP_FEATURES
  * l1sap: l1sap_tch_ind(): fix segfault on stale TCH.ind
  * osmo-bts-trx: rx_tchh_fn(): fix copy-pasted comment
  * meas: also match stderr logging for meas_test
  * meas: lchan_meas_sub_num_expected(): proper cmode enforcement
  * meas: lchan_meas_check_compute(): fix -SUB frame substitution
  * meas: handle VAMOS specific chan modes
  * meas: fix ts45008_83_is_sub(): DTX is permitted on TCH/F sign
  * meas: ts45008_83_is_sub(): properly handle CSD modes
  * meas: lchan_meas_sub_num_expected(): handle CSD modes
  * osmo-bts-trx: tx_tch[fh]_fn(): use BUFPOS macro everywhere
  * osmo-bts-trx: tx_tch[fh]_fn(): rework generation of dummy FACCH
  * osmo-bts-trx: tx_tch[fh]_fn(): fix sending idle CSD frames
  * osmo-bts-trx: add_sbits(): simplify, improve coding style
  * osmo-bts-trx: use BPLEN macro instead of magic numbers
  * osmo-bts-trx: eliminate ul_bursts_prev, use the primary buffer
  * l1sap: fix logic error in gsmtap_csd_rlp_process()
  * osmo-bts-trx: add test VTY command to send arbitrary TRXC messages
  * doc/examples: fix missing config files in release tarballs
  * osmo-bts-{trx,virtual}: do not advertise TCH/F14.4 NT
  * tests/osmo-bts.vty: aligh with recent libosmovty changes
  * README.md: cosmetic: fix a typo
  * doc/examples: use common 'ipa unit-id' in all files
  * doc/examples: drop no-op 'gsmtap-sapi' lines
  * doc/examples: osmo-bts-trx.cfg: set 'oml remote-ip' to '127.0.0.1'

  [ Pau Espin Pedrol ]
  * oml: Store RSL connect related fields in bb_transc
  * Move trx->rsl_link to trx->bb_transc.rsl.link
  * nm: delay RSL connect until BBTRANSC object is OPSTARTed
  * cosmetic: oc2g_mgr: fix trailing whitespace
  * Drop use of deprectated vty callback is_config_node
  * Revert "trx_if: Allow calling trx_if_flush/close from within TRXC callback"
  * trx_if: Allow calling trx_if_flush/close from within TRXC callback (v2)

  [ Andreas Eversberg ]
  * ASCI: Ignore LAPD frames from MS, while the uplink is not active
  * Do not prefix UI header to System Information Type 10
  * Increase RR scheduler priority to 20, to avoid dropped bursts
  * ASCI: Add control of uplink access to osmo-bts-trx
  * ASCI: Add control of uplink access to osmo-bts-sysmo
  * ASCI: Enable voice group/broadcast call feature at osmo-bts-trx
  * ASCI: Control uplink access bursts detection of physical interface
  * ASCI: Add library requirements for uplink access to TODO-RELEASE
  * Use uniform log format for default config files
  * Transmit invalid AMR speech blocks instead of dummy FACCH
  * LAPDm: Reject (release) establishment on DCCH, SAPI 0 without L3 payload
  * Handle empty (idle) PDCH blocks gracefully
  * Use polling based LAPDm with frame numbers
  * OML: Add Get Attributes for supported MOs for BTS Object Class
  * OML: Add Get Attributes for supported MOs for Radio Carrier Object Class
  * OML: Add Get Attributes for supported MOs for Channel Object Class
  * Fix ASCI access burst detection with osmo-bts-trx

  [ Oliver Smith ]
  * systemd: remove RestartPreventExitStatus=1
  * contrib: remove rpm spec file
  * contrib/systemd: run as osmocom user

  [ Philipp Maier ]
  * pcuif_proto: rename PCU_IF_FLAG_SYSMO to PCU_IF_FLAG_DIRECT_PHY


=== coverity/source-Osmocom/osmo-hlr/debian/changelog ===
osmo-hlr (1.9.2) unstable; urgency=medium

  [ Oliver Smith ]
  * Generate version.h files

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 03 Dec 2025 19:05:42 +0100

osmo-hlr (1.9.1) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * Drop use of deprecated vty is_config_node() cb

  [ Oliver Smith ]
  * db: flush after changing schema version

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 02 Apr 2025 15:12:35 +0200

osmo-hlr (1.9.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * subscriber-create-on-demand: rework configuration
  * subscriber-create-on-demand: add mode for MSISDN=IMSI

  [ Alexander Couzens ]
  * gsupclient: Introduce gsup_client_mux
  * gsupclient: add missing SPDX line
  * debian/copyright: add gsup_client under GPLv2+

  [ Pau Espin Pedrol ]
  * gsup: Replace deprecated ipa_msg_push_header()
  * jenkins.sh: libosmo-netif no longer depends on libosmo-abis
  * Drop use of libosmo-abis osmocom/abis/ipaccess.h
  * gsup_client: Add new APIs to avoid users accessing struct fields
  * gsup_client: Avoid double memset 0
  * Drop unneeded use of abis/ipa.h header
  * jenkins.sh: Use --disable-doxygen configure param

  [ Mychaela N. Falconia ]
  * vty: always emit reject-cause lines in saved config
  * change default reject cause to plmn-not-allowed
  * change default no-proxy reject cause to net-fail

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 12 Feb 2025 12:17:52 +0100

osmo-hlr (1.8.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * hlr_vty.c: drop redundant include of hlr_ussd.h
  * build: include {README.md,git-version-gen} into the release tarball
  * README.md: cosmetic: fix a typo

  [ Mychaela N. Falconia ]
  * SMS over GSUP: implement vty config of SMSC routing
  * SMS over GSUP: implement forwarding of MO SMS
  * SMS over GSUP: implement forwarding of MT SMS
  * SMS over GSUP: handle READY-FOR-SM.req from MSCs
  * ctrl: add subscriber.by-*.imsi GET-able variable

  [ Andreas Eversberg ]
  * Use uniform log format for default config files

  [ Harald Welte ]
  * Add funding link to github mirror
  * README.md: Improve mark-down formatting
  * README.md: Add Forum and Issue Tracker sections

  [ Max ]
  * .deb/.rpm: add osmocom user during package install

  [ Oliver Smith ]
  * .deb/.rpm: various fixes related to non-root
  * contrib: remove rpm spec file
  * debian/postinst: add checks, be verbose
  * mslookup: don't ignore return value of write()

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 24 Jul 2024 15:29:12 +0200

osmo-hlr (1.7.0) unstable; urgency=medium

  [ Oliver Smith ]
  * Run struct_endianness.py
  * tests/db/db_test.err: adjust to XOR-3G rename
  * debian: set compat level to 10
  * systemd: depend on networking-online.target

  [ Pau Espin Pedrol ]
  * mslookup: Call osmo_fd_unregister() before closing and changing bfd->fd

  [ Vadim Yanitskiy ]
  * tests/auc/Makefile.am: put object files to LDADD
  * tests/*/Makefile.am: move -I to AM_CPPFLAGS
  * lu_fsm: fix memleak in lu_fsm_wait_insert_data_result()
  * ussd: fix GSUP memleaks in rx_proc_ss_{req,error}()
  * gsup_server: fix msgb memleak in osmo_gsup_server_read_cb()
  * USSD: fix handling of ussd-DataCodingScheme != 0x0f

  [ Alexander Couzens ]
  * hlr: use talloc for memory allocation in osmo_gsup_create_insert_subscriber_data_msg
  * Add support for multiple APN profiles for subscriber data

  [ Harald Welte ]
  * Introduce support for XOR-2G algorithm
  * cosmetic: gen_ts_55_205_test_sets/func_template.c: Use tab-indent
  * cosmetic: gen_ts_55_205_test_sets/main_template tabs istead of spaces
  * Port to new libosmogsm 'struct osmo_sub_auth_data2'
  * src/db.c: Switch from "const char *statements" to "const char * const"
  * db: extend database schema to support 256bit K and/or OP[c] values
  * Add VTY support for TUAK algorithm

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 12 Sep 2023 14:41:33 +0200

osmo-hlr (1.6.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * db_auc: hexparse_stmt(): check value returned by osmo_hexparse()

  [ Max ]
  * Set working directory in systemd service file
  * Ignore .deb build byproducts
  * Debian: bump copyright year to match current
  * Debian: reformat package description
  * systemd: enable basic hardening
  * Debian: install osmo-hlr-dgsm.cfg as example config
  * hlr_vty.c: fix typo
  * ctrl: take both address and port from vty config

  [ Harald Welte ]
  * Support building with -Werror=strict-prototypes / -Werror=old-style-definition
  * Add -Werror=implicit-int -Werror=int-conversion -Werror=old-style-definition

  [ arehbein ]
  * osmo-hlr: Transition to use of 'telnet_init_default'

  [ Oliver Smith ]
  * osmo_mdns_rfc_record_decode: check ret of talloc
  * osmo_mdns_rfc_record_decode: proper free on err
  * mslookup: use apn functions from libosmocore
  * osmo_mdns_rfc_record/question_encode: remove ctx

  [ Keith ]
  * Vty: Fixup config shown/written from vty

  [ Neels Hofmeyr ]
  * fix memleak of proxy_subscr_listentry

  [ Alexander Couzens ]
  * Add vty `reject-cause` to set the reject cause

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 07 Feb 2023 16:49:14 +0100

osmo-hlr (1.5.0) unstable; urgency=medium

  [ Oliver Smith ]
  * treewide: remove FSF address

  [ Vadim Yanitskiy ]
  * fixup: debian: remove unneeded dependency libdbd-sqlite3
  * debian: add new 'osmo-mslookup-utils' package
  * tests: use 'noinst_PROGRAMS' instead of 'noinst_PROGRAMS'

  [ Pau Espin Pedrol ]
  * ctrl: Mark function as static
  * tests: Allow specyfing specific ctrl test to run
  * tests/ctrl: Move ERROR test scenario to proper file
  * Fix db_subscr_create() not returning -EEXIST expected by VTY subscriber create cmd
  * ctrl: Introduce cmd SET subscriber.create <imsi>
  * ctrl: Introduce CTRL command subscriber.by-*.msisdn
  * cosmetic: hlr_vty_subscr.c: Fix trailing whitespace
  * ctrl: Introduce cmd SET subscriber.delete <imsi>
  * ctrl: Introduce CTRL command subscriber.by-*.aud2g <algo[,ki]>


=== coverity/source-Osmocom/osmo-hnbgw/debian/changelog ===
osmo-hnbgw (1.8.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * Log RAB_STATE name instead of value
  * cosmetic: Add spec references for RUA, RANAP, HNBAP
  * hnbap: Make hnbgw_tx_ue_register_acc_tmsi() signature similar to hnbgw_tx_ue_register_acc()
  * Rename function s/hnbgw_decode_ranap_co/hnbgw_decode_ranap_cn_co/g
  * Add function helper hnbgw_decode_ranap_ran_co()
  * Move paging logic to its own file
  * Move DL CL RANAP processing logic to its proper layer file
  * Move DL CO RANAP processing to its proper layer file
  * Move UL CO RANAP processing to its proper layer file
  * Log paging response not matching any request by MI
  * Fix RAC size in struct umts_cell_id
  * Drop unused struct ue_context
  * Set 'hnbap-allow-tmsi 1' by default
  * Improve paging to support Paging Area ID
  * rua: Change log err level ERROR->NOTICE regarding received unexpected RUA context
  * Change log level new conn created NOTICE->INFO
  * change log level patching GTP info NOTICE->INFO
  * ranap: No need to set destructor function twice
  * Change level ERROR->NOTICE trying to transmit msg if RUA disconnected
  * mgw_fsm: use LOG_MAP() to log error
  * cosmetic: Improve ranap_msg passing ownership documentation
  * rua: Handle event TX_DIRECT_TRANSFER in disconnected state discarding msg
  * cosmetic: context_map.h: Document parameters of all map_sccp_fsm_event values
  * Fix MAP_SCCP_EV_CN_LINK_LOST never dispatched
  * context_map_sccp: Queue RUA->SCCP RANAP msgs while in SCCP WAIT_CC state
  * sccp: Drop error logging for expected scenario
  * Makefile.am: format to one file per line
  * Split struct hnbgw_sccp_user allocation & setup to its own function
  * Move SCCP prim handling to its own hnbgw_sccp.{c,h} file
  * sccp: Use proper wording s/LOG_HSI/LOG_HSU
  * Fix lifecycle of struct hnbgw_sccp_user
  * sccp: Introduce DL-related cnlink rate counters
  * sccp: Introduce rate counter CNLINK_CTR_SCCP_RLSD_CN_ORIGIN
  * sccp: Unify path submitting N-*.req
  * sccp: Introduce UL-related cnlink rate counters
  * Move hnbgw_cnlink to cnlink.h and hnbgw_cnpool to hnbgw_cn.h
  * Split hnb_context,hnb_persistent,umts_cell_id to their own files
  * Split cnlink FSM code to its own file
  * cnlink: Fix several funcs missing prefix
  * Convert struct hnbgw_cnpool to be a talloc context
  * Get rid of cnpool->cnlink_ctrg_desc
  * Move cnlink funcs from hnbgw_cn.c to cnlink.c
  * cnlink: Cleanup talloc tree
  * Introduce func helper hnbgw_sccp_user_get_sccp_instance()
  * cnlink: Introduce stats group with connected state
  * vty: Allow setting cnlink msc/sgsn name
  * context_map: Rename ps_rab(_ass) to denote it is a list
  * Clean up calls to ps_rab_ass_fsm_state_chg()
  * ps_rab_ass_fsm: Fix potential use-after-free if Tx RAB-ASS-RESP over SCCP fails
  * Support tearing down PFCP upon PS-RAB-ASS-REQ (REL)
  * kpi: Increment counters using enum field explicitly
  * kpi: Fix wrong counters incremented in RAB Release Failed List
  * kpi: count RAB actions received in unexpected state
  * sccp: Avoid setting default local HNBGW PC as default remote PC
  * Make sure MSC/SGSN PC are added to sccp-addressbook
  * sigtran: Log N-PCSTATE.ind PC with configured format
  * sccp: Handle N-NOTICE.ind (Routing Failure of SCCP CL messages)
  * Use proper SCCP release cause enum value instead of hardcoded value
  * tests/cnpool.vty: Skip non-related fields under cs7 instance
  * iuh: Use osmo_stream_srv_create2 API
  * Remove unused field iuh_cs_mux_port
  * vty: Drop SS7 route info in 'show cnlink'
  * hnb: Avoid calling osmo_sock_get_ip_and_port() with negative fd
  * iuh: Allow setting tx-queue-max-length for all HNBs
  * Move iuh fields in iuh substruct
  * hnb: Allow setting Iuh tx-queue-max-length per HNB
  * vty: Improve 'show hnb' param input
  * vty: Log Iuh SCTP assoc & rem-addr socket information
  * Split UPF into its own object

  [ Neels Janosch Hofmeyr ]
  * fix recently introduced indenting blunder

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 03 Dec 2025 19:43:56 +0100

osmo-hnbgw (1.7.0) unstable; urgency=medium

  [ Neels Janosch Hofmeyr ]
  * drop config.vty tests from make check
  * coverity CID#358071
  * coverity CID#358072
  * coverity CID#358070
  * coverity CID#358069
  * on RUA Connect failure, respond with RUA Disconnect
  * on RUA DT for unknown context, respond with RUA Disconnect

  [ Harald Welte ]
  * hnb_persistent: Use incrementing counter for rate_ctr + stat_item index
  * Revert "hnb_persistent: Use incrementing counter for rate_ctr + stat_item index"

  [ Oliver Smith ]
  * contrib/jenkins: libosmo-sccp -> libosmo-sigtran

  [ Pau Espin Pedrol ]
  * Log cn_disconnect.ind cause
  * Fix SCCP RLSD not sent upon rx RUA Disconnect due to error condition
  * ps_rab_ass_fsm: Fix uninitialized ptr access
  * Add PFCP stats item group
  * hnbgw: Avoid using struct osmo_pfcp_cp_peer fields directly
  * hnbgw: Fix wrong map object retrieved from hashtable
  * Use new libosmo-sigtran APIs to access osmo_ss7_instance
  * jenkins.sh: libosmo-netif no longer depends on libosmo-abis
  * jenkins.sh: No need to build libosmo-sigtran with doxygen
  * map_sccp: Fix crash during ev MAP_SCCP_EV_RAN_DISC in st MAP_SCCP_ST_WAIT_CC
  * peek_l3_ul_nas: Split parsing logic based on PS/CS ctx
  * peek_l3_ul_nas: Improve RAU req parsing checks
  * peek_l3_ul_nas: Improve GMM Attach Req parsing checks
  * peek_l3_ul_nas: Parse PTMSI MI from GMM RAU req

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 12 Feb 2025 14:37:35 +0100

osmo-hnbgw (1.6.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * hnbgw_cn: Remove assert hit due to wrong assumption
  * Increase default X31 val from 5 to 15 seconds
  * context_map_sccp: Fix assert hit due to missing ev handling
  * tests/ranap_rab_ass: Test RAB-Ass.req with X.213 IPv4 address len=7
  * mgw_fsm: Assume IuUP HNB IP addr = Iuh during MGCP CRCX on RAN side
  * mgw_fsm: Modify RAB on HNB if IuUP local IP addr at MGW changes during MDCX


=== coverity/source-Osmocom/osmo-sgsn/debian/changelog ===
osmo-sgsn (1.12.0) unstable; urgency=medium

  [ Andreas Eversberg ]
  * Use uniform log format for default config files

  [ Vadim Yanitskiy ]
  * build: include README.md into the release tarball
  * gmm: cosmetic: fix preprocessor macro formatting
  * gmm: mmctx_timer_stop(): warn about timer not running
  * VTY: move default settings to sgsn_instance_alloc()
  * VTY: sync default UMTS UEA config with osmo-msc
  * README.md: cosmetic: fix a typo

  [ Pau Espin Pedrol ]
  * gsup: Use new libosmogsm struct osmo_gsup_pdp_info fields

  [ Harald Welte ]
  * Add funding link to github mirror
  * README.md: Overhaul (more links; improved formatting)
  * README.md: Add Forum and Issue Tracker sections

  [ Max ]
  * .deb/.rpm: add osmocom user during package install

  [ Oliver Smith ]
  * contrib/osmo-sgsn.spec: fix build for almalinux:8
  * .deb/.rpm: various fixes related to non-root
  * contrib: remove rpm spec file
  * debian/postinst: add checks, be verbose
  * sgsn/sgsn_vty: create state-dir
  * debian/osmo-gtphub.init: delete
  * doc: set state-dir to /var/lib/osmocom/osmo-sgsn

  [ Alexander Couzens ]
  * docs: replace legacy NS with new NS2 chapters
  * docs: update year to 2024
  * docs: front page: use https:// instead of http://

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 24 Jul 2024 17:31:38 +0200

osmo-sgsn (1.11.1) unstable; urgency=medium

  [ Philipp Maier ]
  * sgsn_rim: forward message based on RIM ROUTING ADDRESS

  [ Daniel Willmann ]
  * sgsn_vty: Fix output in config_write_sgsn
  * sgsn_vty: Correctly indent encryption cipher-plugin-path
  * vty-tests: Test encryption options
  * libgtp: Check for all successful create_pdp_conf causes

 -- Oliver Smith <osmith@sysmocom.de>  Tue, 28 Nov 2023 13:32:46 +0100

osmo-sgsn (1.11.0) unstable; urgency=medium

  [ Oliver Smith ]
  * Run struct_endianness.py
  * debian: set compat level to 10
  * systemd: depend on networking-online.target

  [ arehbein ]
  * Transition to use of 'telnet_init_default'

  [ Vadim Yanitskiy ]
  * tests: use -no-install libtool flag to avoid ./lt-* scripts
  * tests: $(BUILT_SOURCES) is not defined, depend on osmo-sgsn
  * copyright: fix typo: sysmocom s/s.m.f.c./s.f.m.c./ GmbH

  [ Pau Espin Pedrol ]
  * gmm: Ciphering Key Sequence Number IE has half octet tag
  * gprs_sm.c: Fix load of misaligned ptr address
  * Write explicit role & sctp-role fields in ASP configurations
  * gmm: Update DRX params during rx RAU REQ
  * gmm: Add missing GSM48_IE_GMM_RX_NPDU_NUM_LIST IE in gsm48_gmm_att_tlvdef

  [ Philipp Maier ]
  * sgsn_rim: fix typo
  * sgsn_rim: cosmetic: improve comment
  * sgsn_rim: get rid of MME check in sgsn_rim_rx_from_gtp:
  * sgsn_rim: do not check the origin of a RIM message

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 12 Sep 2023 16:57:02 +0200

osmo-sgsn (1.10.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * configure.ac: do not require unused dlsym/dlopen
  * gprs_llc: fix misleading spacing in gprs_llc_rcvmsg()
  * gprs_llc.h: use '#pragma once'
  * llc: gprs_llc_fcs(): make the input data pointer const

  [ Max ]
  * Set working directory in systemd service file
  * SNDCP: log more details on failure
  * GTP: migrate from deprecated function
  * Constify LLC/SNDCP parameters
  * GMM: permit E_GMM_COMMON_PROC_SUCCESS in normal state
  * ctrl: take both address and port from vty config

  [ Pau Espin Pedrol ]
  * vty: Make new libgtp tdefs configurable through VTY
  * sndcp: Put decompress handling code into helper function
  * Move gprs_gb_parse.[c,h] to tests/sgsn/
  * Create new specific file for BSSGP code
  * Move some functions gprs_gb.[c,h] -> gprs_gmm.[c,h]
  * Rename gprs_gb.[c,h] -> gprs_ns.[c,h]
  * Move gprs_tmr_to_secs() to tests/gprs/gprs_test.c
  * cosmetic: gprs_llc_vty.c: Fix trailing whitespace
  * vty: Fix wrong value_string used to print llme state
  * Standarize lle and llme state enum & value_string
  * Remove unused function gprs_parse_mi_tmsi()
  * Replace gprs_str_to_apn() with libosmocore API osmo_apn_from_str()
  * Move struct sgsn_ggsn_ctx to its own file gtp_ggsn.{c,h}
  * gprs_subscriber: Move API declarations to correct header
  * Move gprs_sndcp_vty_init() declaration to gprs_sndcp.h
  * Introduce new header file sgsn/gtp.h
  * Fix -Werror=old-style-definition
  * Move related structs to gprs_subscriber.h
  * Remove unneeded extern declaration from libosmocotrl
  * Keep sgsn subsystems under struct sgsn_instance lifecycle
  * Move global ggsn_list into struct sgsn_instance
  * Move struct apn_ctx and APN related definitions to its own file
  * Move struct sgsn_subscriber_pdp_data to gprs_subscriber.h
  * sgsn.h: Drop declaration of non existing function
  * Properly split llc->sndcp->gtp unitdata pathi through extra func call
  * Move func defintions of funcs implemented in gprs_sndcp.c to gprs_sndcp.h
  * sndcp: Standarize unitdata function naming
  * Move gtp related functions to gtp.h
  * Move global apn_list inside struct sgsn_instance
  * gtp_{ggsn,mme}: Allocate contexts under struct sgsn_instance
  * Move extern declarations of tall_sgsn_ctx to sgsn.h
  * Drop extern declarations of global sgsn_instance in source files
  * Move sgsn_pdp_ctx to its own file pdpctx.{c,h}
  * Move global pdp_list inside struct sgsn_instance
  * Move gtphub header to include/osmocom/gtphub/
  * Move sgsn_ctrl_cmds_install() declaration to sgsn.h
  * Move LOGGSUBSCRP to gprs_subscriber.h
  * Rename bscconfig.h -> config.h
  * gtphub.h: Remove dependency on sgsn/gprs_sgsn.h
  * Split gprs_sgsn.{c,h} -> {auth,mmctx,sgsn}.{c,h}
  * Move global mmctx list into struct sgsn_instance
  * vty: Introduce encryption cipher-plugin-path command
  * Fix extra whitespace in pdpctx_ctr_description

  [ Oliver Smith ]
  * contrib/jenkins.sh: use enable-werror with IU too
  * sgsn_libgtp: cb_data_ind: remove mm_idle assert
  * osmo-gtphub.cfg: fix conflict with osmo-ggsn.cfg

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 07 Feb 2023 17:34:26 +0100



=== coverity/source-Osmocom/osmo-trx/debian/changelog ===
osmo-trx (1.7.2) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * Drop use of deprecated vty is_config_node() cb
  * lms: Use define LMS_LOG_CRITICAL instead of value

  [ Jack Lee ]
  * trx: Fix tx/rx-sps 4 for USRP1 devices

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 03 Dec 2025 19:22:15 +0100

osmo-trx (1.7.1) unstable; urgency=medium

  [ Oliver Smith ]
  * contrib/jenkins: remove broken chroot + qemu code

  [ Neels Hofmeyr ]
  * comma_delimited_to_vector() optimization CID#465430

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 12 Feb 2025 12:43:24 +0100

osmo-trx (1.7.0) unstable; urgency=medium

  [ Eric ]
  * ms: adjust ts advance
  * ms: reduce rx burst queue size
  * ms: init blade with fpga control
  * devices: fix wrong gain to power mapping
  * ms: get rid of std::thread
  * ms: add demod test tool and data

  [ Vadim Yanitskiy ]
  * osmo-trx-ms: bump osmocom-bb submodule commit
  * Transceiver::ctrl_sock_handle_rx(): fix copy-pasted comments
  * build: include version files into the release tarball
  * doc/examples: fix missing config files in release tarballs
  * README.md: cosmetic: fix a typo

  [ Harald Welte ]
  * osmo-trx-uhd: Make sure HOME environment variable is set
  * README.md: Improve markdown formatting
  * README.md: Add Forum and Issue Tracker links
  * Add funding link to github mirror
  * README.md: Remove stray apostrophe

  [ Andreas Eversberg ]
  * Use uniform log format for default config files

  [ Eric Wild ]
  * ms: do not set the blade tuning mode
  * ms: hard preswapped VA gsm bits
  * ms: add sigproclib demod
  * ms: fix up template deduction failure
  * ms: update osmocom-bb submodule
  * ms: disabe uhd ms build
  * transceiver: use log level cache

  [ Oliver Smith ]
  * gitignore: add .version
  * debian/rules: make configure args diff friendly
  * debian: add osmo-trx-ms-blade
  * contrib/jenkins: make configure args diff friendly
  * contrib/jenkins: add --with-bladerf
  * contrib: remove rpm spec file
  * contrib/systemd: run as osmocom user
  * contrib/systemd/osmo-trx-uhd: fix HOME=

  [ Pau Espin Pedrol ]
  * code-architecture.adoc: Fix missing alignment in digraph
  * doc: Introduce documentation for osmo-trx-ipc and its IPC interface

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 24 Jul 2024 15:57:14 +0200

osmo-trx (1.6.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * configure.ac: check if LIBTRXCON_DIR (submodule) exists
  * tests: Makefile.am: move -I flags from AM_CFLAGS to AM_CPPFLAGS
  * tests: there shall be no libraries in LDFLAGS
  * tests: use -no-install libtool flag to avoid ./lt-* scripts
  * tests: LMSDeviceTest: fix CPPFLAGS vs CXXFLAGS
  * ipc-driver-test: clean up variables in Makefile.am
  * CommonLibs: remove unused *trx in cfg[_no]_ctr_error_threshold_cmd
  * CommonLibs: clean up and fix Makefile.am
  * ms: logging: print category, level, and extended timestamp

  [ Oliver Smith ]
  * Run struct_endianness.py
  * debian: set compat level to 10
  * systemd: depend on networking-online.target
  * USRPDevice:updateAlignment: remove byteswap code

  [ Eric ]
  * .clang-format: adjust template formatting
  * ms: update submodule to currently known working version
  * ms: adjust tx scaling for tx samples
  * ms : fix the template formatting
  * ms: fix the gain init for blade
  * ms: prettify scheduling + add odroid
  * ms: fix startup & shutdown of blade
  * ms: block burst q to upper layer
  * ms: use single thread pool
  * ms : rename var
  * ms : rename var
  * ms: cache frequency
  * ms: pretty tx buf class
  * ms: rearrange internal trxcon<->phy if
  * ms: remove syncthing tool
  * ms: prune common sch acq code
  * ms: rearrange code to allow clean exits
  * ms: flexible template for value_type buffer sum
  * ms: make init call less confusing
  * transceiver: pass cfg struct instead of args
  * devices: unify band handling
  * ms: fix blocking logging
  * ms: drop the tx burst padding
  * trx: fix dev-args issue
  * ms: update osmocom-bb
  * ms: restructure the va code to add rach support
  * transceiver: add experimental viterbi equalizer support
  * ms/va: make ancient gcc < 8 happy
  * ms: fix thread prio startup issue
  * ms: fix a few coverity complaints related to initialization
  * ms: bump osmocom-bb submodule to current head

  [ Eric Wild ]
  * ms: adjust float<->integral type conversion
  * ms: sch: drop intermediate softvector
  * devices: add freq/gain override for uhd

  [ arehbein ]
  * Transition to use of 'telnet_init_default'

  [ Pau Espin Pedrol ]
  * Call osmo_fd_unregister() before closing and changing bfd->fd
  * ms: update osmocom-bb submodule

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 12 Sep 2023 15:56:57 +0200

osmo-trx (1.5.0) unstable; urgency=medium

  [ Oliver Smith ]
  * configure.ac: add -lboost_thread for uhd < 4.2.0
  * gitignore: add uhddev_ipc.cpp
  * contrib/jenkins: don't run "make distcheck" on arm

  [ Vadim Yanitskiy ]
  * threshold_timer_update_intv(): call osmo_timer_del() unconditionally
  * Transceiver::expectedCorrType(): RACH is always 8-bit on PTCCH/U
  * contrib/jenkins.sh: dump submodule status before building
  * configure.ac: fix: properly check whether to enable ms-trx
  * configure.ac: allow building without cloning submodules
  * configure.ac: cosmetic: rearrange MS TRX related logic
  * configure.ac: make use of AC_MSG_CHECKING and AC_MSG_RESULT

  [ Max ]
  * Set working directory in systemd service file
  * Add realtime scheduling and set priority in service file
  * ctrl: take both address and port from vty config

  [ Eric ]
  * ignore vscode dirs
  * rename noisevector class -> avgvector
  * osmocom-bb for ms-trx side trxcon integration
  * add checkpatch config
  * bladerf xa4 support
  * update osmocom-bb submodule to fix make distcheck
  * vita demod by piotr krysik, modified
  * properly update osmocom-bb submodule, for real this time..
  * ms-trx support
  * clean up mutex, scopedlock, and signal classes
  * ipc: add missing override


=== coverity/source-Osmocom/libosmo-gprs/debian/control ===
Source: libosmo-gprs
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               pkg-config,
               autoconf,
               automake,
               libtool,
               git,
               libosmocore-dev (>= 1.10.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/osmocom/libosmo-gprs
Vcs-Browser: https://gitea.osmocom.org/osmocom/libosmo-gprs
Homepage: https://projects.osmocom.org/projects/libosmo-gprs

Package: libosmo-csn1-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Description: Osmocom CSN.1 codec library and message definition helpers
  This is a shared library containing the CSN.1 (Concrete Syntax Notation 1)
  codec and API for message definition.  The implementation is based on the
  original code by Vincent Helfre and Jari Sassi.

Package: libosmo-csn1-dbg
Architecture: any
Section: debug
Multi-Arch: same
Depends: libosmo-csn1-1 (= ${binary:Version}),
	 ${misc:Depends}
Description: Debug symbols for the Osmocom CSN.1 codec library

Package: libosmo-csn1-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libosmo-csn1-1 (= ${binary:Version}),
         libosmocore-dev,
	 ${misc:Depends}
Description: Development headers and libraries for the Osmocom CSN.1 codec

Package: libosmo-gprs-gmm1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Description: Osmocom GMM (GPRS Mobility Management) layer for GPRS and EGPRS

Package: libosmo-gprs-gmm-dbg
Architecture: any
Section: debug
Multi-Arch: same
Depends: libosmo-gprs-gmm1 (= ${binary:Version}),
	 ${misc:Depends}
Description: Debug symbols for libosmo-gprs-gmm

Package: libosmo-gprs-gmm-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libosmo-gprs-gmm1 (= ${binary:Version}),
         libosmocore-dev,
         libtalloc-dev,
	 ${misc:Depends}
Description: Development headers and libraries for libosmo-gprs-gmm

Package: libosmo-gprs-llc1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Description: Osmocom LLC (Logical Link Control) layer for GPRS and EGPRS

Package: libosmo-gprs-llc-dbg
Architecture: any
Section: debug
Multi-Arch: same
Depends: libosmo-gprs-llc1 (= ${binary:Version}),
	 ${misc:Depends}
Description: Debug symbols for libosmo-gprs-llc

Package: libosmo-gprs-llc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libosmo-gprs-llc1 (= ${binary:Version}),
         libosmocore-dev,
         libtalloc-dev,
	 ${misc:Depends}
Description: Development headers and libraries for libosmo-gprs-llc

Package: libosmo-gprs-rlcmac1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Description: Osmocom RLC/MAC codec and message definitions for GPRS and EGPRS

Package: libosmo-gprs-rlcmac-dbg
Architecture: any
Section: debug
Multi-Arch: same
Depends: libosmo-gprs-rlcmac1 (= ${binary:Version}),
	 ${misc:Depends}
Description: Debug symbols for libosmo-gprs-rlcmac

Package: libosmo-gprs-rlcmac-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libosmo-gprs-rlcmac1 (= ${binary:Version}),
         libosmocore-dev,
         libtalloc-dev,
	 ${misc:Depends}
Description: Development headers and libraries for libosmo-gprs-rlcmac

Package: libosmo-gprs-sndcp1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Description: Osmocom SNDCP (Subnetwork Dependent Convergence Protocol) layer for GPRS and EGPRS

Package: libosmo-gprs-sndcp-dbg
Architecture: any
Section: debug
Multi-Arch: same
Depends: libosmo-gprs-sndcp1 (= ${binary:Version}),
	 ${misc:Depends}
Description: Debug symbols for libosmo-gprs-sndcp

Package: libosmo-gprs-sndcp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libosmo-gprs-sndcp1 (= ${binary:Version}),
         libosmocore-dev,
         libtalloc-dev,
	 ${misc:Depends}
Description: Development headers and libraries for libosmo-gprs-sndcp

Package: libosmo-gprs-sm1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Description: Osmocom SM (Session Management) layer for GPRS and EGPRS

Package: libosmo-gprs-sm-dbg
Architecture: any
Section: debug
Multi-Arch: same
Depends: libosmo-gprs-sm1 (= ${binary:Version}),
	 ${misc:Depends}
Description: Debug symbols for libosmo-gprs-sm

Package: libosmo-gprs-sm-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libosmo-gprs-sm1 (= ${binary:Version}),
         libosmocore-dev,
         libtalloc-dev,
	 ${misc:Depends}
Description: Development headers and libraries for libosmo-gprs-sm

=== coverity/source-Osmocom/libosmo-pfcp/debian/control ===
Source: libosmo-pfcp
Section: libs
Priority: optional
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               autoconf-archive,
               automake,
               libtool,
               pkg-config,
               libosmocore-dev (>= 1.12.0),
               libtalloc-dev (>= 2.1.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/osmocom/libosmo-pfcp
Vcs-Browser: https://gitea.osmocom.org/osmocom/libosmo-pfcp
Homepage: https://projects.osmocom.org/projects/libosmo-pfcp

Package: libosmo-pfcp
Section: libs
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         libosmo-gtlv1 (= ${binary:Version}),
         libosmo-pfcp4 (= ${binary:Version})
Description: Osmocom PFCP protocol implementation (metapackage)
 Install Osmocom PFCP and generic TLV protocol libraries.

Package: libosmo-gtlv1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: Generic TLV and TLIV protocol support
 Decoding, encoding and logging of protocols using a Tag-Length-Value and/or
 Tag-Length-Instance-Value structure.

Package: libosmo-gtlv-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libosmo-gtlv1 (= ${binary:Version}),
         libosmocore-dev (>= 1.12.0),
         libtalloc-dev (>= 2.1.0)
Description: Development files for libosmo-gtlv
 libosmo-gtlv implements decoding, encoding and logging of protocols using a
 Tag-Length-Value and/or Tag-Length-Instance-Value structure. This package in
 particular contains the files for compiling a program using this library.

Package: libosmo-gtlv-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends},
         libosmo-gtlv1 (= ${binary:Version})
Description: Debug symbols for libosmo-gtlv
 libosmo-gtlv implements decoding, encoding and logging of protocols using a
 Tag-Length-Value and/or Tag-Length-Instance-Value structure. This package in
 particular contains the debug symbols for this library.

Package: libosmo-pfcp4
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libosmo-gtlv1 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: PFCP protocol support
 Decoding, encoding and endpoint implementation of the Packet Forwarding Control Protocol
 (3GPP TS 29.244).

Package: libosmo-pfcp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libosmo-pfcp4 (= ${binary:Version}),
         libosmo-gtlv-dev (= ${binary:Version}),
         libosmocore-dev,
         libtalloc-dev,
Description: Development files for libosmo-pfcp
 libosmo-pfcp implements decoding, encoding and endpoint implementation of the
 Packet Forwarding Control Protocol (3GPP TS 29.244). This package in particular
 contains the files for compiling a program using this library.

Package: libosmo-pfcp-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends},
         libosmo-pfcp4 (= ${binary:Version})
Description: Debug symbols for libosmo-pfcp
 libosmo-pfcp implements decoding, encoding and endpoint implementation of the
 Packet Forwarding Control Protocol (3GPP TS 29.244). This package in particular
 contains the debug symbols for this library.

=== coverity/source-Osmocom/osmo-bsc/debian/control ===
Source: osmo-bsc
Section: net
Priority: extra
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               python3-minimal,
               libcdk5-dev,
               libtalloc-dev,
               libosmocore-dev (>= 1.12.0),
               libosmo-sigtran-dev (>= 2.2.0),
               libosmo-abis-dev (>= 2.1.0),
               libosmo-netif-dev (>= 1.7.0),
               libosmo-mgcp-client-dev (>= 1.15.0),
               osmo-gsm-manuals-dev (>= 1.7.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-bsc
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-bsc
Homepage: https://projects.osmocom.org/projects/osmo-bsc

Package: osmo-bsc
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: osmo-mgw
Description: OsmoBSC: Osmocom's Base Station Controller for 2G circuit-switched mobile networks

Package: osmo-bsc-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmo-bsc (= ${binary:Version}), ${misc:Depends}
Description: OsmoBSC: Osmocom's Base Station Controller for 2G circuit-switched mobile networks

Package: abisip-find
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command line utility to find ip.access compatible BTS

Package: osmo-bsc-ipaccess-utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command line utilities for ip.access nanoBTS
 This package contains utilities that are specific for nanoBTS when being used
 together with OpenBSC. It contains mainly two tools: ipaccess-config and ipaccess-proxy.

Package: osmo-bsc-bs11-utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command line utilities for Siemens BS-11 BTS
 There is a tool in this package for configuring the Siemens BS-11 BTS.
 Additionally, it contains one tool for making use of an ISDN-card and the
 public telephone network as frequency standard for the E1 line.

Package: osmo-bsc-meas-utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command line utilities to manage measurement reports.

Package: osmo-bsc-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

=== coverity/source-Osmocom/osmo-cbc/debian/control ===
Source: osmo-cbc
Section: net
Priority: extra
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               python3-minimal,
               libtalloc-dev,
               libosmocore-dev (>= 1.12.0),
               libosmo-netif-dev (>= 1.7.0),
               libulfius-dev,
               libjansson-dev,
               libsctp-dev,
               osmo-gsm-manuals-dev (>= 1.7.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-cbc
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-cbc
Homepage: https://projects.osmocom.org/projects/osmo-cbc

Package: osmo-cbc
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OsmoCBC: Osmocom's Cell Broadcast Center

Package: osmo-cbc-utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, python3
Description: Utilities for OsmoCBC: Osmocom's Cell Broadcast Center

Package: osmo-cbc-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmo-cbc (= ${binary:Version}), ${misc:Depends}
Description: OsmoCBC: Osmocom's Cell Broadcast Center

Package: osmo-cbc-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

Package: libosmo-sbcap2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libosmo-sbcap: Osmocom's library to encode/decode SBc-AP messages

Package: libosmo-sbcap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libosmo-sbcap2 (= ${binary:Version}), ${misc:Depends}
Description: libosmo-sbcap: Osmocom's library to encode/decode SBc-AP messages

=== coverity/source-Osmocom/osmo-hnbgw/debian/control ===
Source: osmo-hnbgw
Section: net
Priority: extra
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               python3-minimal,
               libtalloc-dev,
               libasn1c-dev (>= 0.9.30),
               libsctp-dev,
               libosmocore-dev (>= 1.12.0),
               libosmo-sigtran-dev (>= 2.2.0),
               libosmo-abis-dev (>= 2.1.0),
               libosmo-netif-dev (>= 1.7.0),
               libosmo-mgcp-client-dev (>= 1.15.0),
               libosmo-hnbap-dev (>= 1.8.0),
               libosmo-ranap-dev (>= 1.8.0),
               libosmo-rua-dev (>= 1.8.0),
               libosmo-pfcp-dev (>= 0.6.0),
               libnftables-dev,
               osmo-gsm-manuals-dev (>= 1.7.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-hnbgw
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-hnbgw
Homepage: https://projects.osmocom.org/projects/osmo-hnbgw

Package: osmo-hnbgw
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: osmo-mgw
Description: OsmoHNBGW: Osmocom Home Node B Gateway

Package: osmo-hnbgw-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmo-hnbgw (= ${binary:Version}), ${misc:Depends}
Description: OsmoHNBGW: Osmocom Home Node B Gateway

Package: osmo-hnbgw-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

=== coverity/source-Osmocom/osmo-isdntap/debian/control ===
Source: osmo-isdntap
Section: net
Priority: extra
Maintainer: Harald Welte <laforge@osmocom.org>
Build-Depends: debhelper (>=9),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               python3-minimal,
               libosmocore-dev (>= 1.6.0),
               osmo-gsm-manuals-dev (>= 1.2.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/retronetworking/osmo-isdntap
Vcs-Browser: https://gitea.osmocom.org/retronetworking/osmo-isdntap
Homepage: https://projects.osmocom.org/projects/osmo-isdntap

Package: osmo-isdntap
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: osmo-isdntap: Osmocom's ISDN Tap/Trace daemon

=== coverity/source-Osmocom/osmo-mgw/debian/control ===
Source: osmo-mgw
Section: net
Priority: extra
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               pkg-config,
               autotools-dev,
               libosmocore-dev (>= 1.12.0),
               libosmo-netif-dev (>= 1.7.0),
               libosmo-abis-dev (>= 2.1.0),
               osmo-gsm-manuals-dev (>= 1.7.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-mgw
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-mgw
Homepage: https://osmocom.org/projects/osmo-mgw

Package: osmo-mgw
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OsmoMGW: Osmocom's Media Gateway for 2G and 3G circuit-switched mobile networks

Package: libosmo-mgcp-client14
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libosmo-mgcp-client: Osmocom's Media Gateway Control Protocol client utilities

Package: libosmo-mgcp-client-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libosmo-mgcp-client14 (= ${binary:Version}), ${misc:Depends}
Description: libosmo-mgcp-client: Osmocom's Media Gateway Control Protocol client utilities

Package: osmo-mgw-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

=== coverity/source-Osmocom/osmo-msc/debian/control ===
Source: osmo-msc
Section: net
Priority: extra
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               libsqlite3-dev,
               libsctp-dev,
               libtalloc-dev,
               libsmpp34-dev (>= 1.14.0),
               libasn1c-dev (>= 0.9.30),
               libosmocore-dev (>= 1.12.0),
               libosmo-sigtran-dev (>= 2.2.0),
               libosmo-abis-dev (>= 2.1.0),
               libosmo-mgcp-client-dev (>= 1.15.0),
               libosmo-gsup-client-dev (>= 1.9.0),
               libosmo-netif-dev (>= 1.7.0),
               libosmo-ranap-dev (>= 1.8.0),
               osmo-gsm-manuals-dev (>= 1.7.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-msc
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-msc
Homepage: https://osmocom.org/projects/osmomsc

Package: osmo-msc
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: osmo-mgw
Description: OsmoMSC: Osmocom's Mobile Switching Center for 2G and 3G circuit-switched mobile networks
  The Mobile Switching Center (MSC) is the heart of 2G/3G
  circuit-switched services.  It terminates the A-interface links from the
  Base Station Controllers (BSC) and handles the MM and CC sub-layers of
  the Layer 3 protocol from the phones (MS).
  .
  This Osmocom implementation of the MSC handles A interfaces via 3GPP
  AoIP in an ASP role.  It furthermore implements IETF MGCP against an
  external media gateway, such as OsmoMGW.  It does *not* implement MAP
  towards a HLR, but the much simpler Osmocom GSUP protocol, which can
  be translated to MAP if needed.

Package: osmo-msc-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: osmo-msc (= ${binary:Version}), ${misc:Depends}
Description: OsmoMSC: Osmocom's Mobile Switching Center for 2G and 3G circuit-switched mobile networks
  The Mobile Switching Center (MSC) is the heart of 2G/3G
  circuit-switched services.  It terminates the A-interface links from the
  Base Station Controllers (BSC) and handles the MM and CC sub-layers of
  the Layer 3 protocol from the phones (MS).
  .
  This Osmocom implementation of the MSC handles A interfaces via 3GPP
  AoIP in an ASP role.  It furthermore implements IETF MGCP against an
  external media gateway, such as OsmoMGW.  It does *not* implement MAP
  towards a HLR, but the much simpler Osmocom GSUP protocol, which can
  be translated to MAP if needed.
  .
  This package contains the debug symbols for osmo-msc in order to
  generate meaningful backtraces in bug-reports.

Package: osmo-msc-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

=== coverity/source-Osmocom/osmo-sip-connector/debian/control ===
Source: osmo-sip-connector
Section: net
Priority: optional
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               autotools-dev,
               pkg-config,
               libsofia-sip-ua-glib-dev,
               libsofia-sip-ua-dev,
               dh-autoreconf,
               libosmocore-dev (>= 1.10.0),
               osmo-gsm-manuals-dev (>= 1.6.0)
Standards-Version: 3.8.4
Homepage: https://osmocom.org/projects/osmo-sip-conector/wiki
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-sip-connector
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-sip-connector

Package: osmo-sip-connector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MNCC to SIP bridge for osmo-nitb
 Use the osmo-nitb MNCC interface and bridge it to SIP.

Package: osmo-sip-connector-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmo-sip-connector (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-sip-connector
 Make debugging possible

Package: osmo-sip-connector-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

=== coverity/source-Osmocom/osmo-uecups/debian/control ===
Source: osmo-uecups
Section: net
Priority: extra
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               libjansson-dev,
               libnl-route-3-dev,
               libosmocore-dev (>= 1.12.0),
               libosmo-netif-dev (>= 1.7.0),
               libsctp-dev,
               osmo-gsm-manuals-dev (>= 1.7.0)
Standards-Version: 3.9.8
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-uecups
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-uecups
Homepage: https://osmocom.org/projects/osmo-uecups

Package: osmo-uecups
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OsmoUECUPS: UE/MME/SGW side GTP user plane daemon with control plane separation

=== coverity/source-Osmocom/osmocom-bb/debian/control ===
Source: osmocom-bb
Section: net
Priority: optional
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               libosmocore-dev (>= 1.5.0),
               libosmo-csn1-dev,
               libosmo-gprs-gmm-dev,
               libosmo-gprs-llc-dev,
               libosmo-gprs-rlcmac-dev,
               libosmo-gprs-sm-dev,
               libosmo-gprs-sndcp-dev,
               libosmogapk-dev,
               osmo-gsm-manuals-dev (>= 1.6.0)
Standards-Version: 4.1.4
Vcs-Browser: https://gitea.osmocom.org/phone-side/osmocom-bb
Vcs-Git: https://gerrit.osmocom.org/osmocom-bb
Homepage: https://osmocom.org/projects/baseband/wiki

Package: osmocom-bb-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Description: ${misc:Package} PDF documentation

Package: osmocom-bb-gprsdecode
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GPRS burst capture decoding utility

Package: osmocom-bb-layer23
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: MS-side implementation of L2 and L3 GSM protocols

Package: osmocom-bb-osmocon
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Firmware loading and communication utility

Package: osmocom-bb-trx-toolkit
Architecture: any
Multi-Arch: foreign
Depends: python3
Description: Tools for the TRX interface and emulating a virtual Um-interface

Package: osmocom-bb-trxcon
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OsmocomBB <-> SDR connection bridge

Package: osmocom-bb-virtphy
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Osmocom virtual physical layer

=== coverity/source-Osmocom/osmo-cbc/debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
# See debhelper(7) (uncomment to enable)
# This is an autogenerated template for debian/rules.
#
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1
#
# Copy some variable definitions from pkg-info.mk and vendor.mk
# under /usr/share/dpkg/ to here if they are useful.
#
# See FEATURE AREAS/ENVIRONMENT in dpkg-buildflags(1)
# Apply all hardening options
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# Package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
#
# With debhelper version 9 or newer, the dh command exports
# all buildflags.  So there is no need to include the
# /usr/share/dpkg/buildflags.mk file here if compat is 9 or newer.
#
# These are rarely used code. (START)
#
# The following include for *.mk magically sets miscellaneous
# variables while honoring existing values of pertinent
# environment variables:
#
# Architecture-related variables such as DEB_TARGET_MULTIARCH:
#include /usr/share/dpkg/architecture.mk
# Vendor-related variables such as DEB_VENDOR:
#include /usr/share/dpkg/vendor.mk
# Package-related variables such as DEB_DISTRIBUTION
#include /usr/share/dpkg/pkg-info.mk
#
# You may alternatively set them susing a simple script such as:
# DEB_VENDOR ?= $(shell dpkg-vendor --query  Vendor)
#
# These are rarely used code. (END)
#

# main packaging script based on dh7 syntax
%:
	dh $@ --with autoreconf

# debmake generated override targets
CONFIGURE_FLAGS += --with-systemdsystemunitdir=/lib/systemd/system --enable-manuals
override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)
#
# Do not install libtool archive, python .pyc .pyo
override_dh_install:
	install -m 755 contrib/cbc-apitool.py debian/tmp/usr/bin/cbc-apitool.py
	dh_install

# See https://www.debian.org/doc/manuals/developers-reference/best-pkging-practices.html#bpp-dbg
override_dh_strip:
	dh_strip -posmo-cbc --dbg-package=osmo-cbc-dbg

# Print test results in case of a failure
override_dh_auto_test:
	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)

# Don't create .pdf.gz files (barely saves space and they can't be opened directly by most pdf readers)
override_dh_compress:
	dh_compress -X.pdf
